<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet exclude-result-prefixes="eanucc sh" version="1.0" xmlns:eanucc="urn:ean.ucc:2" xmlns:sh="http://www.unece.org/cefact/namespaces/StandardBusinessDocumentHeader" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="html"/>
  <xsl:param name="editvalue" select="'false'"/>
  <xsl:include href="SBDH.xsl"/>
  <xsl:include href="BasicTypes.xsl"/>
  <xsl:include href="Common.xsl"/>
  <xsl:include href="Components.xsl"/>
  <xsl:include href="./ean.ucc/common/AbstractCommandType.xsl"/>
  <xsl:include href="./ean.ucc/common/AccountNumberType.xsl"/>
  <xsl:include href="./ean.ucc/common/AdditionalPartyIdentificationType.xsl"/>
  <xsl:include href="./ean.ucc/common/AdditionalTradeItemIdentificationType.xsl"/>
  <xsl:include href="./ean.ucc/common/AmountType.xsl"/>
  <xsl:include href="./ean.ucc/common/CommandHeaderType.xsl"/>
  <xsl:include href="./ean.ucc/common/CommandType.xsl"/>
  <xsl:include href="./ean.ucc/common/CurrencyExchangeRateInformationType.xsl"/>
  <xsl:include href="./ean.ucc/common/Description2500Type.xsl"/>
  <xsl:include href="./ean.ucc/common/Description5000Type.xsl"/>
  <xsl:include href="./ean.ucc/common/DescriptionType.xsl"/>
  <xsl:include href="./ean.ucc/common/DetailLevelReferenceType.xsl"/>
  <xsl:include href="./ean.ucc/common/DigitalSignatureType.xsl"/>
  <xsl:include href="./ean.ucc/common/DiscountPaymentType.xsl"/>
  <xsl:include href="./ean.ucc/common/DocumentCommandHeaderType.xsl"/>
  <xsl:include href="./ean.ucc/common/DocumentCommandOperandType.xsl"/>
  <xsl:include href="./ean.ucc/common/DocumentCommandType.xsl"/>
  <xsl:include href="./ean.ucc/common/DocumentLineReferenceType.xsl"/>
  <xsl:include href="./ean.ucc/common/DocumentOrDocumentLineReferenceType.xsl"/>
  <xsl:include href="./ean.ucc/common/DocumentReferenceType.xsl"/>
  <xsl:include href="./ean.ucc/common/DocumentType.xsl"/>
  <xsl:include href="./ean.ucc/common/EntityIdentificationType.xsl"/>
  <xsl:include href="./ean.ucc/common/ExtensionType.xsl"/>
  <xsl:include href="./ean.ucc/common/FinancialInstitutionInformationType.xsl"/>
  <xsl:include href="./ean.ucc/common/GeographicalCoordinatesType.xsl"/>
  <xsl:include href="./ean.ucc/common/ISO3166_1CodeType.xsl"/>
  <xsl:include href="./ean.ucc/common/ISO3166_2CodeType.xsl"/>
  <xsl:include href="./ean.ucc/common/ISO4217_CodeType.xsl"/>
  <xsl:include href="./ean.ucc/common/ISO639_CodeType.xsl"/>
  <xsl:include href="./ean.ucc/common/InstallmentDueType.xsl"/>
  <xsl:include href="./ean.ucc/common/LineItemType.xsl"/>
  <xsl:include href="./ean.ucc/common/LongDescriptionType.xsl"/>
  <xsl:include href="./ean.ucc/common/LongTextDescriptionType.xsl"/>
  <xsl:include href="./ean.ucc/common/MeasurementUnitCodeType.xsl"/>
  <xsl:include href="./ean.ucc/common/MessageType.xsl"/>
  <xsl:include href="./ean.ucc/common/MultiAmountType.xsl"/>
  <xsl:include href="./ean.ucc/common/MultiDescription2500Type.xsl"/>
  <xsl:include href="./ean.ucc/common/MultiDescription5000Type.xsl"/>
  <xsl:include href="./ean.ucc/common/MultiDescriptionType.xsl"/>
  <xsl:include href="./ean.ucc/common/MultiLongDescriptionType.xsl"/>
  <xsl:include href="./ean.ucc/common/NameAndAddressType.xsl"/>
  <xsl:include href="./ean.ucc/common/NetPaymentType.xsl"/>
  <xsl:include href="./ean.ucc/common/PartyIdentificationType.xsl"/>
  <xsl:include href="./ean.ucc/common/PaymentMethodType.xsl"/>
  <xsl:include href="./ean.ucc/common/PaymentTermsType.xsl"/>
  <xsl:include href="./ean.ucc/common/PaymentTimePeriodType.xsl"/>
  <xsl:include href="./ean.ucc/common/PromixoCutOffDayType.xsl"/>
  <xsl:include href="./ean.ucc/common/QuantityType.xsl"/>
  <xsl:include href="./ean.ucc/common/ReferenceType.xsl"/>
  <xsl:include href="./ean.ucc/common/ResponseType.xsl"/>
  <xsl:include href="./ean.ucc/common/RoutingNumberType.xsl"/>
  <xsl:include href="./ean.ucc/common/TextDescriptionType.xsl"/>
  <xsl:include href="./ean.ucc/common/TimePeriodDueType.xsl"/>
  <xsl:include href="./ean.ucc/common/TimePeriodType.xsl"/>
  <xsl:include href="./ean.ucc/common/TradeItemIdentificationType.xsl"/>
  <xsl:include href="./ean.ucc/common/TransactionType.xsl"/>
  <xsl:include href="./ean.ucc/common/TypedEntityIdentificationType.xsl"/>
  <xsl:include href="./ean.ucc/common/VersionType.xsl"/>
  <xsl:include href="./ean.ucc/pay/InvoiceAllowanceChargeType.xsl"/>
  <xsl:include href="./ean.ucc/pay/InvoiceLineItemInformationAfterTaxesType.xsl"/>
  <xsl:include href="./ean.ucc/pay/InvoiceLineItemType.xsl"/>
  <xsl:include href="./ean.ucc/pay/InvoicePartyType.xsl"/>
  <xsl:include href="./ean.ucc/pay/InvoiceTaxInformationType.xsl"/>
  <xsl:include href="./ean.ucc/pay/InvoiceTotalsType.xsl"/>
  <xsl:include href="./ean.ucc/pay/InvoiceType.xsl"/>
  <xsl:include href="./ean.ucc/pay/vat/VATInvoicePartyExtensionType.xsl"/>
  <xsl:include href="./ean.ucc/pay/vat/VATTaxInformationExtensionType.xsl"/>
  <xsl:include href="Identification.xsl"/>
  <xsl:include href="Signature.xsl"/>
  <xsl:template match="sh:StandardBusinessDocument">
    <html xml:lang="en" xmlns="http://www.w3.org/1999/xhtml">
      <head>
        <meta content="text/html; charset=UTF-8" http-equiv="Content-Type"/>
        <title>
          <xsl:if test="//documentCommandOperand">
            <xsl:call-template name="formatNodeName">
              <xsl:with-param name="node" select="//documentCommandOperand/*[1]"/>
            </xsl:call-template>
          </xsl:if>
          <xsl:if test="not(//documentCommandOperand)">
            <xsl:call-template name="formatNodeName">
              <xsl:with-param name="node" select="*[2]"/>
            </xsl:call-template>
          </xsl:if>
        </title>
        <style type="text/css">
      body {font-family:"Arial";color:black;}
      table {width:100%; font-size:10pt}
      th {font-weight:bold; text-align:left}
      .indent {width:6px;}
      .label {width:24%}
      .value {width:26%;}
      .head1 {}
      .head2 {background-color:#FFFF99}
      .head3 {background-color:#660099; color:#FFFF99}
      .head4 {background-color:#CCCC99}
      .tagName {font-size:10pt; font-weight:bold}
      .typeName {font-size:10pt; font-weight:bold}
      .attributeName {width:30%; font-size:10pt; font-style: italic}
      .attributeValue {width:40%; font-size:10pt; font-weight:bold}
      .textValue {width:40%; font-size:10pt; font-weight:bold}
      table.section { border: 2px solid black; background-color:#FFFF99}

      table.section1 { border: 2px solid black; background-color:#D0FEFE}
      table.section2 { border: 1px solid black; background-color:#D0FED0}
      table.section3 { border: 1px solid black; background-color:#FEFEA0}
      table.section4 { border: 1px solid black; background-color:#FFFF11}
      table.section5 { border: 1px solid black; background-color:#FFFF99}

      table.section6 { border: 1px solid black; background-color:#D0FEFE}
      table.section7 { border: 1px solid black; background-color:#D0FED0}
      table.section8 { border: 1px solid black; background-color:#FEFEA0}
      table.section9 { border: 1px solid black; background-color:#FFFF11}
      table.section10 { border: 1px solid black; background-color:#FFFF99}

      table.subSection { border: 2px solid black; table-layout:fixed}
      table.msgHead { border: 2px solid black; table-layout:fixed}
      th.msgHead {font-size: 14pt}
      th.subHead {font-weight:normal;text-indent:12px}
      .horizLine {background-color:#CCCC99}
    </style>
      </head>
      <body>
        <table>
          <tr>
            <td>
              <xsl:apply-templates select="*"/>
            </td>
          </tr>
        </table>
      </body>
    </html>
  </xsl:template>
  <xsl:template match="eanucc:message">
    <table>
      <tr>
        <td colspan="2">
          <table>
            <tr class="head4">
              <th>Message</th>
              <xsl:call-template name="entityIdentification">
                <xsl:with-param name="parent" select="entityIdentification"/>
                <xsl:with-param name="type" select="'main'"/>
              </xsl:call-template>
            </tr>
          </table>
        </td>
      </tr>
      <tr>
        <td class="indent"/>
        <td>
          <xsl:apply-templates select="*[2]"/>
        </td>
      </tr>
    </table>
  </xsl:template>
  <xsl:template match="eanucc:transaction">
    <table>
      <tr>
        <td colspan="2">
          <table>
            <tr class="head2">
              <th>Transaction</th>
              <xsl:call-template name="entityIdentification">
                <xsl:with-param name="parent" select="entityIdentification"/>
                <xsl:with-param name="type" select="'main'"/>
              </xsl:call-template>
            </tr>
          </table>
        </td>
      </tr>
      <tr>
        <td class="indent"/>
        <td>
          <xsl:apply-templates select="command/*"/>
        </td>
      </tr>
    </table>
  </xsl:template>
  <xsl:template match="eanucc:documentCommand">
    <table>
      <tr>
        <td colspan="2">
          <table>
            <tr class="head3">
              <th>Command <xsl:value-of select="documentCommandHeader/@type"/>
              </th>
              <xsl:call-template name="entityIdentification">
                <xsl:with-param name="parent" select="documentCommandHeader/entityIdentification"/>
                <xsl:with-param name="type" select="'main'"/>
              </xsl:call-template>
            </tr>
          </table>
        </td>
      </tr>
      <tr>
        <td class="indent"/>
        <td>
          <xsl:apply-templates select="documentCommandOperand/*"/>
        </td>
      </tr>
    </table>
  </xsl:template>
  <xsl:template name="menuObject">
    <xsl:if test="$editvalue='true'">
      <table width="100%">
        <tr>
          <td>
            <button action="submit" name="saveButton" style="border: 1px solid black;">Submit</button>
          </td>
        </tr>
      </table>
    </xsl:if>
  </xsl:template>
  <xsl:template name="xpathString">
    <xsl:for-each select="ancestor-or-self::*">
      <xsl:value-of select="name()"/>
      <xsl:text>[</xsl:text>
      <xsl:value-of select="1+count(preceding-sibling::*[name(current()) = name()])"/>
      <xsl:text>]/</xsl:text>
    </xsl:for-each>
  </xsl:template>
  <xsl:template name="insertPoint">
    <xsl:value-of select="count(preceding-sibling::*)"/>
  </xsl:template>
  <xsl:template name="showvalue">
    <xsl:param name="currentnode"/>
    <xsl:for-each select="$currentnode">
      <xsl:choose>
        <xsl:when test="$editvalue='true'">
          <xsl:element name="input">
            <xsl:attribute name="type">text</xsl:attribute>
            <xsl:attribute name="name">inputBox</xsl:attribute>
            <xsl:attribute name="value">
              <xsl:value-of select="."/>
            </xsl:attribute>
            <xsl:attribute name="xpath">
              <xsl:call-template name="xpathString"/>
            </xsl:attribute>
          </xsl:element>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="."/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:for-each>
  </xsl:template>
  <xsl:template name="showattribute">
    <xsl:param name="currentnode"/>
    <xsl:for-each select="$currentnode">
      <xsl:choose>
        <xsl:when test="$editvalue='true'">
          <xsl:element name="input">
            <xsl:attribute name="type">text</xsl:attribute>
            <xsl:attribute name="name">inputBox</xsl:attribute>
            <xsl:attribute name="value">
              <xsl:value-of select="."/>
            </xsl:attribute>
            <xsl:attribute name="xpath">
              <xsl:call-template name="xpathString"/>@<xsl:value-of select="name(.)"/>
            </xsl:attribute>
          </xsl:element>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="."/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:for-each>
  </xsl:template>
</xsl:stylesheet>
