<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:eanucc="urn:ean.ucc:2"
                xmlns:sh="http://www.unece.org/cefact/namespaces/StandardBusinessDocumentHeader"
                version="1.0">

<xsl:template match="sh:StandardBusinessDocumentHeader">
    <table class="msgHead">
      <!--fake row to set column widths-->
      <tr><td class="indent"/><td class="label"/><td class="value"/><td class="label"/><td class="value"/></tr>
      <tr>
        <th class="head2" colspan="5">Message Header, version <xsl:value-of select="sh:HeaderVersion"/></th>
      </tr>
      <xsl:call-template name="HeaderContact">
         <xsl:with-param name="parent" select="sh:Sender"/>
      </xsl:call-template>
      <xsl:call-template name="HeaderContact">
         <xsl:with-param name="parent" select="sh:Receiver"/>
      </xsl:call-template>
      <xsl:call-template name="HeaderDocumentIdentification">
         <xsl:with-param name="parent" select="sh:DocumentIdentification"/>
      </xsl:call-template>
    </table>
</xsl:template>

<xsl:template name="HeaderContact">
  <xsl:param name="parent" />
  <tr><th class="head2" colspan="5"><xsl:value-of select="local-name($parent)"/></th></tr>
    <tr>
    <td class="indent"/>
    <th class="head1">Identifier</th>
    <td>
      <xsl:call-template name="showvalue"><xsl:with-param name="currentnode" select="$parent/sh:Identifier" /></xsl:call-template>    
    </td>
    <th class="head1">Identifier Authority</th>
    <td>
      <xsl:call-template name="showattribute"><xsl:with-param name="currentnode" select="$parent/sh:Identifier/@Authority" /></xsl:call-template>    
    </td>
  </tr>
  <tr>
    <td class="indent"/>
    <th class="head1">Contact</th>
    <td>
      <xsl:call-template name="showvalue"><xsl:with-param name="currentnode" select="$parent/sh:ContactInformation/sh:Contact" /></xsl:call-template>    
    </td>
    <th class="head1">Contact Type</th>
    <td>
      <xsl:call-template name="showvalue"><xsl:with-param name="currentnode" select="$parent/sh:ContactInformation/sh:ContactTypeIdentifier" /></xsl:call-template>    
    </td>
  </tr>
</xsl:template>

<xsl:template name="HeaderDocumentIdentification">
  <xsl:param name="parent" />
  <tr><th class="head2" colspan="5">Document Identification</th></tr>
    <tr>
    <td class="indent"/>
    <th class="head1">Standard</th>
    <td>
      <xsl:call-template name="showvalue"><xsl:with-param name="currentnode" select="$parent/sh:Standard" /></xsl:call-template>    
    </td>
    <th class="head1">Type Version</th>
    <td>
      <xsl:call-template name="showvalue"><xsl:with-param name="currentnode" select="$parent/sh:TypeVersion" /></xsl:call-template>    
    </td>
  </tr>
  <tr>
    <td class="indent"/>
    <th class="head1">Instance Identifier</th>
    <td>
      <xsl:call-template name="showvalue"><xsl:with-param name="currentnode" select="$parent/sh:InstanceIdentifier" /></xsl:call-template>    
    </td>
    <th class="head1">Type</th>
    <td>
      <xsl:call-template name="showvalue"><xsl:with-param name="currentnode" select="$parent/sh:Type" /></xsl:call-template>    
    </td>
  </tr>
  <tr>
    <td class="indent"/>
    <th class="head1">Multiple Type</th>
    <td>
      <xsl:call-template name="xsdBoolean">
         <xsl:with-param name="boolean" select="$parent/sh:MultipleType" />
      </xsl:call-template>
    </td>
    <th class="head1">Creation Date</th>
    <td>
      <xsl:call-template name="xsdDate">
         <xsl:with-param name="date" select="$parent/sh:CreationDateAndTime" />
      </xsl:call-template>
    </td>
  </tr>
</xsl:template>

</xsl:stylesheet>
