<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:eanucc="urn:ean.ucc:2" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:template name="eanucc_discountPayment">
    <xsl:param name="parent" select="."/>        
    <xsl:param name="section"/>
<xsl:element name="table">
      <xsl:attribute name="class">section<xsl:value-of select="$section"/>
</xsl:attribute>
      <tr>
        <td colspan="2">
          <table>
            <tr>
              <xsl:if test="string-length($parent) != 0">
              <td class="tagName" width="40%">
<xsl:for-each select="$parent">
<xsl:value-of select="name()"/>
</xsl:for-each>
</td>
              </xsl:if>
              <xsl:if test="string-length($parent) = 0">
              <td class="tagName" width="60%">
<xsl:value-of select="name()"/>
</td>
              </xsl:if>
              <td align="right" class="typeName" width="60%">
<replaceTypeName/>
</td>
            </tr>
          </table>
        </td>
      </tr>
      <tr>
        <td class="indent"/>
        <td>

        <table cellpadding="3" cellspacing="3">
<tr>
<td class="attributeName">discountType</td>
<td class="attributeValue">
<xsl:choose>
<xsl:when test="$editvalue='true'">
<xsl:if test="$parent/@discountType">
<xsl:element name="input">
<xsl:attribute name="type">text</xsl:attribute>
<xsl:attribute name="name">inputBox</xsl:attribute>
<xsl:attribute name="value">
<xsl:value-of select="$parent/@discountType"/>
</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>@discountType</xsl:text>
</xsl:attribute>
</xsl:element>
<xsl:if test="count($parent/@discountType) &gt; 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">remove</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.common.v2_0.PaymentTerms.DiscountPaymentType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>@discountType</xsl:text>
</xsl:attribute>remove </xsl:element>
</xsl:if>
</xsl:if>
<xsl:if test="not($parent/@discountType)">
<xsl:if test="1 &gt; count($parent/@discountType) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.common.v2_0.PaymentTerms.DiscountPaymentType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>@discountType</xsl:text>
</xsl:attribute>add </xsl:element>
</xsl:if>
</xsl:if> <image alt="occurence:1, restriction:minLength='1' maxLength='80', datatype:eanucc.common.v2_0.DataTypes.String" src="inform.gif"/>
</xsl:when>
<xsl:otherwise>
<xsl:value-of select="$parent/@discountType"/>
</xsl:otherwise>
</xsl:choose>
</td>
</tr>
</table>
</td>
      </tr>
      <tr>
        <td class="indent"/>
        <td>

        <table cellpadding="3" cellspacing="3">
<xsl:choose>
<xsl:when test="$parent/discountDescription">
<xsl:for-each select="$parent/discountDescription">
<tr>
<td>
<xsl:if test="$editvalue='true'">
<xsl:if test="1 &gt; count($parent/discountDescription) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.common.v2_0.PaymentTerms.DiscountPaymentType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>add </xsl:element>
</xsl:if>
<xsl:if test="count($parent/discountDescription) &gt; 0">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">remove</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.common.v2_0.PaymentTerms.DiscountPaymentType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>remove </xsl:element>
</xsl:if> <image alt="occurence:0..1, datatype:eanucc.common.v2_0.Description.MultiDescriptionType" src="inform.gif"/>
</xsl:if>
<xsl:call-template name="eanucc_multiDescription">
<xsl:with-param name="parent" select="."/>
<xsl:with-param name="section" select="$section+1"/>
</xsl:call-template>
</td>
</tr>
</xsl:for-each>
</xsl:when>
<xsl:otherwise>
<xsl:if test="$editvalue='true'">
<tr>
<td>
<xsl:if test="1 &gt; count($parent/discountDescription) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="insertPoint">
<xsl:value-of select="count($parent/discountDescription)"/>
</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.common.v2_0.PaymentTerms.DiscountPaymentType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>discountDescription[1]/</xsl:text>
</xsl:attribute>add discountDescription</xsl:element>
</xsl:if> <image alt="occurence:0..1, datatype:eanucc.common.v2_0.Description.MultiDescriptionType" src="inform.gif"/>
</td>
</tr>
</xsl:if>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="$parent/paymentTimePeriod">
<xsl:for-each select="$parent/paymentTimePeriod">
<tr>
<td>
<xsl:if test="$editvalue='true'">
<xsl:if test="1 &gt; count($parent/paymentTimePeriod) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.common.v2_0.PaymentTerms.DiscountPaymentType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>add </xsl:element>
</xsl:if>
<xsl:if test="count($parent/paymentTimePeriod) &gt; 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">remove</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.common.v2_0.PaymentTerms.DiscountPaymentType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>remove </xsl:element>
</xsl:if> <image alt="occurence:1..1, datatype:eanucc.common.v2_0.PaymentTerms.PaymentTimePeriodType" src="inform.gif"/>
</xsl:if>
<xsl:call-template name="eanucc_paymentTimePeriod">
<xsl:with-param name="parent" select="."/>
<xsl:with-param name="section" select="$section+1"/>
</xsl:call-template>
</td>
</tr>
</xsl:for-each>
</xsl:when>
<xsl:otherwise>
<xsl:if test="$editvalue='true'">
<tr>
<td>
<xsl:if test="1 &gt; count($parent/paymentTimePeriod) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="insertPoint">
<xsl:value-of select="count($parent/discountDescription)+count($parent/paymentTimePeriod)"/>
</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.common.v2_0.PaymentTerms.DiscountPaymentType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>paymentTimePeriod[1]/</xsl:text>
</xsl:attribute>add paymentTimePeriod</xsl:element>
</xsl:if> <image alt="occurence:1..1, datatype:eanucc.common.v2_0.PaymentTerms.PaymentTimePeriodType" src="inform.gif"/>
</td>
</tr>
</xsl:if>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="$parent/discountAmount">
<xsl:for-each select="$parent/discountAmount">
<tr>
<td>
<xsl:if test="$editvalue='true'">
<xsl:if test="1 &gt; count($parent/discountAmount) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.common.v2_0.PaymentTerms.DiscountPaymentType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>add </xsl:element>
</xsl:if>
<xsl:if test="count($parent/discountAmount) &gt; 0">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">remove</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.common.v2_0.PaymentTerms.DiscountPaymentType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>remove </xsl:element>
</xsl:if> <image alt="occurence:0..1, datatype:eanucc.common.v2_0.MonetaryAmount.AmountType" src="inform.gif"/>
</xsl:if>
<xsl:call-template name="eanucc_amount">
<xsl:with-param name="parent" select="."/>
<xsl:with-param name="section" select="$section+1"/>
</xsl:call-template>
</td>
</tr>
</xsl:for-each>
</xsl:when>
<xsl:otherwise>
<xsl:if test="$editvalue='true'">
<tr>
<td>
<xsl:if test="1 &gt; count($parent/discountAmount) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="insertPoint">
<xsl:value-of select="count($parent/discountDescription)+count($parent/paymentTimePeriod)+count($parent/discountAmount)"/>
</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.common.v2_0.PaymentTerms.DiscountPaymentType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>discountAmount[1]/</xsl:text>
</xsl:attribute>add discountAmount</xsl:element>
</xsl:if> <image alt="occurence:0..1, datatype:eanucc.common.v2_0.MonetaryAmount.AmountType" src="inform.gif"/>
</td>
</tr>
</xsl:if>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="$parent/discountPercent">
<xsl:for-each select="$parent/discountPercent">
<tr>
<td>
<xsl:choose>
<xsl:when test="$editvalue='true'">
<table>
<tr>
<td class="tagName" width="30%">discountPercent</td>
<td width="70%"> <image alt="occurence:0..1, datatype:eanucc.common.v2_0.Percentage.PercentageType" src="inform.gif"/>
<xsl:element name="input">
<xsl:attribute name="type">text</xsl:attribute>
<xsl:attribute name="name">inputBox</xsl:attribute>
<xsl:attribute name="value">
<xsl:value-of select="."/>
</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>
</xsl:element>
<xsl:if test="count($parent/discountPercent) &gt; 0">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">remove</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.common.v2_0.PaymentTerms.DiscountPaymentType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>remove </xsl:element>
</xsl:if>
<xsl:if test="1 &gt; count($parent/discountPercent) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.common.v2_0.PaymentTerms.DiscountPaymentType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>add </xsl:element>
</xsl:if>
</td>
</tr>
</table>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates select="."/>
</xsl:otherwise>
</xsl:choose>
</td>
</tr>
</xsl:for-each>
</xsl:when>
<xsl:otherwise>
<xsl:if test="$editvalue='true'">
<tr>
<td>
<xsl:if test="1 &gt; count($parent/discountPercent) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="insertPoint">
<xsl:value-of select="count($parent/discountDescription)+count($parent/paymentTimePeriod)+count($parent/discountAmount)+count($parent/discountPercent)"/>
</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.common.v2_0.PaymentTerms.DiscountPaymentType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>discountPercent[1]/</xsl:text>
</xsl:attribute>add discountPercent</xsl:element>
</xsl:if> <image alt="occurence:0..1, datatype:eanucc.common.v2_0.Percentage.PercentageType" src="inform.gif"/>
</td>
</tr>
</xsl:if>
</xsl:otherwise>
</xsl:choose>
</table>
</td>
      </tr>			
    </xsl:element>
  </xsl:template>
</xsl:stylesheet>
