<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:eanucc="urn:ean.ucc:2" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:template name="eanucc_financialInstitutionInformation">
    <xsl:param name="parent" select="."/>        
    <xsl:param name="section"/>
<xsl:element name="table">
      <xsl:attribute name="class">section<xsl:value-of select="$section"/>
</xsl:attribute>
      <tr>
        <td colspan="2">
          <table>
            <tr>
              <xsl:if test="string-length($parent) != 0">
              <td class="tagName" width="40%">
<xsl:for-each select="$parent">
<xsl:value-of select="name()"/>
</xsl:for-each>
</td>
              </xsl:if>
              <xsl:if test="string-length($parent) = 0">
              <td class="tagName" width="60%">
<xsl:value-of select="name()"/>
</td>
              </xsl:if>
              <td align="right" class="typeName" width="60%">
<replaceTypeName/>
</td>
            </tr>
          </table>
        </td>
      </tr>
      <tr>
        <td class="indent"/>
        <td>

        </td>
      </tr>
      <tr>
        <td class="indent"/>
        <td>

        <table cellpadding="3" cellspacing="3">
<xsl:choose>
<xsl:when test="$parent/accountName">
<xsl:for-each select="$parent/accountName">
<tr>
<td>
<xsl:choose>
<xsl:when test="$editvalue='true'">
<table>
<tr>
<td class="tagName" width="30%">accountName</td>
<td width="70%"> <image alt="occurence:1..1, restriction:minLength='1' maxLength='80', datatype:eanucc.common.v2_0.DataTypes.String" src="inform.gif"/>
<xsl:element name="input">
<xsl:attribute name="type">text</xsl:attribute>
<xsl:attribute name="name">inputBox</xsl:attribute>
<xsl:attribute name="value">
<xsl:value-of select="."/>
</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>
</xsl:element>
<xsl:if test="count($parent/accountName) &gt; 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">remove</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.common.v2_0.FinancialInstitutionInformation.FinancialInstitutionInformationType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>remove </xsl:element>
</xsl:if>
<xsl:if test="1 &gt; count($parent/accountName) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.common.v2_0.FinancialInstitutionInformation.FinancialInstitutionInformationType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>add </xsl:element>
</xsl:if>
</td>
</tr>
</table>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates select="."/>
</xsl:otherwise>
</xsl:choose>
</td>
</tr>
</xsl:for-each>
</xsl:when>
<xsl:otherwise>
<xsl:if test="$editvalue='true'">
<tr>
<td>
<xsl:if test="1 &gt; count($parent/accountName) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="insertPoint">
<xsl:value-of select="count($parent/accountName)"/>
</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.common.v2_0.FinancialInstitutionInformation.FinancialInstitutionInformationType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>accountName[1]/</xsl:text>
</xsl:attribute>add accountName</xsl:element>
</xsl:if> <image alt="occurence:1..1, restriction:minLength='1' maxLength='80', datatype:eanucc.common.v2_0.DataTypes.String" src="inform.gif"/>
</td>
</tr>
</xsl:if>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="$parent/accountNumber">
<xsl:for-each select="$parent/accountNumber">
<tr>
<td>
<xsl:if test="$editvalue='true'">
<xsl:if test="1 &gt; count($parent/accountNumber) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.common.v2_0.FinancialInstitutionInformation.FinancialInstitutionInformationType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>add </xsl:element>
</xsl:if>
<xsl:if test="count($parent/accountNumber) &gt; 0">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">remove</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.common.v2_0.FinancialInstitutionInformation.FinancialInstitutionInformationType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>remove </xsl:element>
</xsl:if> <image alt="occurence:0..1, datatype:eanucc.common.v2_0.FinancialInstitutionInformation.AccountNumberType" src="inform.gif"/>
</xsl:if>
<xsl:call-template name="eanucc_accountNumber">
<xsl:with-param name="parent" select="."/>
<xsl:with-param name="section" select="$section+1"/>
</xsl:call-template>
</td>
</tr>
</xsl:for-each>
</xsl:when>
<xsl:otherwise>
<xsl:if test="$editvalue='true'">
<tr>
<td>
<xsl:if test="1 &gt; count($parent/accountNumber) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="insertPoint">
<xsl:value-of select="count($parent/accountName)+count($parent/accountNumber)"/>
</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.common.v2_0.FinancialInstitutionInformation.FinancialInstitutionInformationType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>accountNumber[1]/</xsl:text>
</xsl:attribute>add accountNumber</xsl:element>
</xsl:if> <image alt="occurence:0..1, datatype:eanucc.common.v2_0.FinancialInstitutionInformation.AccountNumberType" src="inform.gif"/>
</td>
</tr>
</xsl:if>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="$parent/routingNumber">
<xsl:for-each select="$parent/routingNumber">
<tr>
<td>
<xsl:if test="$editvalue='true'">
<xsl:if test="1 &gt; count($parent/routingNumber) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.common.v2_0.FinancialInstitutionInformation.FinancialInstitutionInformationType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>add </xsl:element>
</xsl:if>
<xsl:if test="count($parent/routingNumber) &gt; 0">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">remove</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.common.v2_0.FinancialInstitutionInformation.FinancialInstitutionInformationType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>remove </xsl:element>
</xsl:if> <image alt="occurence:0..1, datatype:eanucc.common.v2_0.FinancialInstitutionInformation.RoutingNumberType" src="inform.gif"/>
</xsl:if>
<xsl:call-template name="eanucc_routingNumber">
<xsl:with-param name="parent" select="."/>
<xsl:with-param name="section" select="$section+1"/>
</xsl:call-template>
</td>
</tr>
</xsl:for-each>
</xsl:when>
<xsl:otherwise>
<xsl:if test="$editvalue='true'">
<tr>
<td>
<xsl:if test="1 &gt; count($parent/routingNumber) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="insertPoint">
<xsl:value-of select="count($parent/accountName)+count($parent/accountNumber)+count($parent/routingNumber)"/>
</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.common.v2_0.FinancialInstitutionInformation.FinancialInstitutionInformationType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>routingNumber[1]/</xsl:text>
</xsl:attribute>add routingNumber</xsl:element>
</xsl:if> <image alt="occurence:0..1, datatype:eanucc.common.v2_0.FinancialInstitutionInformation.RoutingNumberType" src="inform.gif"/>
</td>
</tr>
</xsl:if>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="$parent/financialInsitutionNameAndAddress">
<xsl:for-each select="$parent/financialInsitutionNameAndAddress">
<tr>
<td>
<xsl:if test="$editvalue='true'">
<xsl:if test="1 &gt; count($parent/financialInsitutionNameAndAddress) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.common.v2_0.FinancialInstitutionInformation.FinancialInstitutionInformationType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>add </xsl:element>
</xsl:if>
<xsl:if test="count($parent/financialInsitutionNameAndAddress) &gt; 0">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">remove</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.common.v2_0.FinancialInstitutionInformation.FinancialInstitutionInformationType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>remove </xsl:element>
</xsl:if> <image alt="occurence:0..1, datatype:eanucc.common.v2_0.NameAndAddress.NameAndAddressType" src="inform.gif"/>
</xsl:if>
<xsl:call-template name="eanucc_nameAndAddress">
<xsl:with-param name="parent" select="."/>
<xsl:with-param name="section" select="$section+1"/>
</xsl:call-template>
</td>
</tr>
</xsl:for-each>
</xsl:when>
<xsl:otherwise>
<xsl:if test="$editvalue='true'">
<tr>
<td>
<xsl:if test="1 &gt; count($parent/financialInsitutionNameAndAddress) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="insertPoint">
<xsl:value-of select="count($parent/accountName)+count($parent/accountNumber)+count($parent/routingNumber)+count($parent/financialInsitutionNameAndAddress)"/>
</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.common.v2_0.FinancialInstitutionInformation.FinancialInstitutionInformationType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>financialInsitutionNameAndAddress[1]/</xsl:text>
</xsl:attribute>add financialInsitutionNameAndAddress</xsl:element>
</xsl:if> <image alt="occurence:0..1, datatype:eanucc.common.v2_0.NameAndAddress.NameAndAddressType" src="inform.gif"/>
</td>
</tr>
</xsl:if>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="$parent/branch">
<xsl:for-each select="$parent/branch">
<tr>
<td>
<xsl:choose>
<xsl:when test="$editvalue='true'">
<table>
<tr>
<td class="tagName" width="30%">branch</td>
<td width="70%"> <image alt="occurence:0..1, restriction:minLength='1' maxLength='80', datatype:eanucc.common.v2_0.DataTypes.String" src="inform.gif"/>
<xsl:element name="input">
<xsl:attribute name="type">text</xsl:attribute>
<xsl:attribute name="name">inputBox</xsl:attribute>
<xsl:attribute name="value">
<xsl:value-of select="."/>
</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>
</xsl:element>
<xsl:if test="count($parent/branch) &gt; 0">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">remove</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.common.v2_0.FinancialInstitutionInformation.FinancialInstitutionInformationType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>remove </xsl:element>
</xsl:if>
<xsl:if test="1 &gt; count($parent/branch) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.common.v2_0.FinancialInstitutionInformation.FinancialInstitutionInformationType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>add </xsl:element>
</xsl:if>
</td>
</tr>
</table>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates select="."/>
</xsl:otherwise>
</xsl:choose>
</td>
</tr>
</xsl:for-each>
</xsl:when>
<xsl:otherwise>
<xsl:if test="$editvalue='true'">
<tr>
<td>
<xsl:if test="1 &gt; count($parent/branch) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="insertPoint">
<xsl:value-of select="count($parent/accountName)+count($parent/accountNumber)+count($parent/routingNumber)+count($parent/financialInsitutionNameAndAddress)+count($parent/branch)"/>
</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.common.v2_0.FinancialInstitutionInformation.FinancialInstitutionInformationType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>branch[1]/</xsl:text>
</xsl:attribute>add branch</xsl:element>
</xsl:if> <image alt="occurence:0..1, restriction:minLength='1' maxLength='80', datatype:eanucc.common.v2_0.DataTypes.String" src="inform.gif"/>
</td>
</tr>
</xsl:if>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="$parent/additionalFinancialInformation">
<xsl:for-each select="$parent/additionalFinancialInformation">
<tr>
<td>
<xsl:if test="$editvalue='true'">
<xsl:if test="1 &gt; count($parent/additionalFinancialInformation) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.common.v2_0.FinancialInstitutionInformation.FinancialInstitutionInformationType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>add </xsl:element>
</xsl:if>
<xsl:if test="count($parent/additionalFinancialInformation) &gt; 0">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">remove</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.common.v2_0.FinancialInstitutionInformation.FinancialInstitutionInformationType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>remove </xsl:element>
</xsl:if> <image alt="occurence:0..1, datatype:eanucc.common.v2_0.Description.TextDescriptionType" src="inform.gif"/>
</xsl:if>
<xsl:call-template name="eanucc_textDescription">
<xsl:with-param name="parent" select="."/>
<xsl:with-param name="section" select="$section+1"/>
</xsl:call-template>
</td>
</tr>
</xsl:for-each>
</xsl:when>
<xsl:otherwise>
<xsl:if test="$editvalue='true'">
<tr>
<td>
<xsl:if test="1 &gt; count($parent/additionalFinancialInformation) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="insertPoint">
<xsl:value-of select="count($parent/accountName)+count($parent/accountNumber)+count($parent/routingNumber)+count($parent/financialInsitutionNameAndAddress)+count($parent/branch)+count($parent/additionalFinancialInformation)"/>
</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.common.v2_0.FinancialInstitutionInformation.FinancialInstitutionInformationType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>additionalFinancialInformation[1]/</xsl:text>
</xsl:attribute>add additionalFinancialInformation</xsl:element>
</xsl:if> <image alt="occurence:0..1, datatype:eanucc.common.v2_0.Description.TextDescriptionType" src="inform.gif"/>
</td>
</tr>
</xsl:if>
</xsl:otherwise>
</xsl:choose>
</table>
</td>
      </tr>			
    </xsl:element>
  </xsl:template>
</xsl:stylesheet>
