<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:eanucc="urn:ean.ucc:2" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:template name="eanucc_lineItem">
    <xsl:param name="parent" select="."/>        
    <xsl:param name="section"/>
<xsl:element name="table">
      <xsl:attribute name="class">section<xsl:value-of select="$section"/>
</xsl:attribute>
      <tr>
        <td colspan="2">
          <table>
            <tr>
              <xsl:if test="string-length($parent) != 0">
              <td class="tagName" width="40%">
<xsl:for-each select="$parent">
<xsl:value-of select="name()"/>
</xsl:for-each>
</td>
              </xsl:if>
              <xsl:if test="string-length($parent) = 0">
              <td class="tagName" width="60%">
<xsl:value-of select="name()"/>
</td>
              </xsl:if>
              <td align="right" class="typeName" width="60%">
<replaceTypeName/>
</td>
            </tr>
          </table>
        </td>
      </tr>
      <tr>
        <td class="indent"/>
        <td>

        <table cellpadding="3" cellspacing="3">
<tr>
<td class="attributeName">number</td>
<td class="attributeValue">
<xsl:choose>
<xsl:when test="$editvalue='true'">
<xsl:if test="$parent/@number">
<xsl:element name="input">
<xsl:attribute name="type">text</xsl:attribute>
<xsl:attribute name="name">inputBox</xsl:attribute>
<xsl:attribute name="value">
<xsl:value-of select="$parent/@number"/>
</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>@number</xsl:text>
</xsl:attribute>
</xsl:element>
<xsl:if test="count($parent/@number) &gt; 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">remove</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.common.v2_0.Document.LineItemType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>@number</xsl:text>
</xsl:attribute>remove </xsl:element>
</xsl:if>
</xsl:if>
<xsl:if test="not($parent/@number)">
<xsl:if test="1 &gt; count($parent/@number) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.common.v2_0.Document.LineItemType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>@number</xsl:text>
</xsl:attribute>add </xsl:element>
</xsl:if>
</xsl:if> <image alt="occurence:1, restriction:totalDigits='6', datatype:eanucc.common.v2_0.DataTypes.NonNegativeInteger" src="inform.gif"/>
</xsl:when>
<xsl:otherwise>
<xsl:value-of select="$parent/@number"/>
</xsl:otherwise>
</xsl:choose>
</td>
</tr>
</table>
</td>
      </tr>
      <tr>
        <td class="indent"/>
        <td>

        </td>
      </tr>			
    </xsl:element>
  </xsl:template>
</xsl:stylesheet>
