<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:eanucc="urn:ean.ucc:2" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:template name="eanucc_paymentTerms">
    <xsl:param name="parent" select="."/>        
    <xsl:param name="section"/>
<xsl:element name="table">
      <xsl:attribute name="class">section<xsl:value-of select="$section"/>
</xsl:attribute>
      <tr>
        <td colspan="2">
          <table>
            <tr>
              <xsl:if test="string-length($parent) != 0">
              <td class="tagName" width="40%">
<xsl:for-each select="$parent">
<xsl:value-of select="name()"/>
</xsl:for-each>
</td>
              </xsl:if>
              <xsl:if test="string-length($parent) = 0">
              <td class="tagName" width="60%">
<xsl:value-of select="name()"/>
</td>
              </xsl:if>
              <td align="right" class="typeName" width="60%">
<replaceTypeName/>
</td>
            </tr>
          </table>
        </td>
      </tr>
      <tr>
        <td class="indent"/>
        <td>

        <table cellpadding="3" cellspacing="3">
<tr>
<td class="attributeName">paymentTermsType</td>
<td class="attributeValue">
<xsl:choose>
<xsl:when test="$editvalue='true'">
<xsl:if test="$parent/@paymentTermsType">
<xsl:element name="select">
<xsl:attribute name="class">Select</xsl:attribute>
<xsl:attribute name="name">inputBox</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>@paymentTermsType</xsl:text>
</xsl:attribute>
<xsl:element name="option">
<xsl:attribute name="value">END_OF_MONTH</xsl:attribute>
<xsl:if test="$parent/@paymentTermsType='END_OF_MONTH'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>END_OF_MONTH</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">INSTANT</xsl:attribute>
<xsl:if test="$parent/@paymentTermsType='INSTANT'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>INSTANT</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">PAYMENT_BY_INSTALLMENT</xsl:attribute>
<xsl:if test="$parent/@paymentTermsType='PAYMENT_BY_INSTALLMENT'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>PAYMENT_BY_INSTALLMENT</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">BASIC_NET</xsl:attribute>
<xsl:if test="$parent/@paymentTermsType='BASIC_NET'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>BASIC_NET</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">FIXED_DATE</xsl:attribute>
<xsl:if test="$parent/@paymentTermsType='FIXED_DATE'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>FIXED_DATE</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">BASIC_DISCOUNT_OFFERED</xsl:attribute>
<xsl:if test="$parent/@paymentTermsType='BASIC_DISCOUNT_OFFERED'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>BASIC_DISCOUNT_OFFERED</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">DISCOUNT_AFTER_DEDUCTING_FREIGHT</xsl:attribute>
<xsl:if test="$parent/@paymentTermsType='DISCOUNT_AFTER_DEDUCTING_FREIGHT'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>DISCOUNT_AFTER_DEDUCTING_FREIGHT</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">NO_CHARGE</xsl:attribute>
<xsl:if test="$parent/@paymentTermsType='NO_CHARGE'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>NO_CHARGE</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">DEFERRED</xsl:attribute>
<xsl:if test="$parent/@paymentTermsType='DEFERRED'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>DEFERRED</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">PREVIOUSLY_AGREED_UPON</xsl:attribute>
<xsl:if test="$parent/@paymentTermsType='PREVIOUSLY_AGREED_UPON'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>PREVIOUSLY_AGREED_UPON</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">EXTENDED</xsl:attribute>
<xsl:if test="$parent/@paymentTermsType='EXTENDED'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>EXTENDED</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">VALUTA</xsl:attribute>
<xsl:if test="$parent/@paymentTermsType='VALUTA'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>VALUTA</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">DISCOUNT_NOT_APPLICABLE</xsl:attribute>
<xsl:if test="$parent/@paymentTermsType='DISCOUNT_NOT_APPLICABLE'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>DISCOUNT_NOT_APPLICABLE</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">PROXIMO</xsl:attribute>
<xsl:if test="$parent/@paymentTermsType='PROXIMO'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>PROXIMO</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">DISCOUNT</xsl:attribute>
<xsl:if test="$parent/@paymentTermsType='DISCOUNT'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>DISCOUNT</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">MIXED</xsl:attribute>
<xsl:if test="$parent/@paymentTermsType='MIXED'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>MIXED</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">ELECTIVE</xsl:attribute>
<xsl:if test="$parent/@paymentTermsType='ELECTIVE'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>ELECTIVE</xsl:element>
</xsl:element>
<xsl:if test="count($parent/@paymentTermsType) &gt; 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">remove</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.common.v2_0.PaymentTerms.PaymentTermsType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>@paymentTermsType</xsl:text>
</xsl:attribute>remove </xsl:element>
</xsl:if>
</xsl:if>
<xsl:if test="not($parent/@paymentTermsType)">
<xsl:if test="1 &gt; count($parent/@paymentTermsType) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.common.v2_0.PaymentTerms.PaymentTermsType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>@paymentTermsType</xsl:text>
</xsl:attribute>add </xsl:element>
</xsl:if>
</xsl:if> <image alt="occurence:1, datatype:eanucc.common.v2_0.PaymentTermsTypeList.PaymentTermsTypeListType" src="inform.gif"/>
</xsl:when>
<xsl:otherwise>
<xsl:value-of select="$parent/@paymentTermsType"/>
</xsl:otherwise>
</xsl:choose>
</td>
</tr>
<tr>
<td class="attributeName">paymentTermsEvent</td>
<td class="attributeValue">
<xsl:choose>
<xsl:when test="$editvalue='true'">
<xsl:if test="$parent/@paymentTermsEvent">
<xsl:element name="select">
<xsl:attribute name="class">Select</xsl:attribute>
<xsl:attribute name="name">inputBox</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>@paymentTermsEvent</xsl:text>
</xsl:attribute>
<xsl:element name="option">
<xsl:attribute name="value">DATE_OF_DELIVERY_TO_SITE</xsl:attribute>
<xsl:if test="$parent/@paymentTermsEvent='DATE_OF_DELIVERY_TO_SITE'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>DATE_OF_DELIVERY_TO_SITE</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">EFFECTIVE_DATE</xsl:attribute>
<xsl:if test="$parent/@paymentTermsEvent='EFFECTIVE_DATE'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>EFFECTIVE_DATE</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">ANTICIPATED_DELIVERY_DATE</xsl:attribute>
<xsl:if test="$parent/@paymentTermsEvent='ANTICIPATED_DELIVERY_DATE'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>ANTICIPATED_DELIVERY_DATE</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">INVOICE_TRANSMISSION_DATE</xsl:attribute>
<xsl:if test="$parent/@paymentTermsEvent='INVOICE_TRANSMISSION_DATE'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>INVOICE_TRANSMISSION_DATE</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">DATE_OF_INVOICE</xsl:attribute>
<xsl:if test="$parent/@paymentTermsEvent='DATE_OF_INVOICE'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>DATE_OF_INVOICE</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">AFTER_DATE_OF_DELIVERY</xsl:attribute>
<xsl:if test="$parent/@paymentTermsEvent='AFTER_DATE_OF_DELIVERY'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>AFTER_DATE_OF_DELIVERY</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">RECEIPT_OF_GOODS</xsl:attribute>
<xsl:if test="$parent/@paymentTermsEvent='RECEIPT_OF_GOODS'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>RECEIPT_OF_GOODS</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">DATE_INVOICE_RECEIVED</xsl:attribute>
<xsl:if test="$parent/@paymentTermsEvent='DATE_INVOICE_RECEIVED'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>DATE_INVOICE_RECEIVED</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">DATE_OF_SHIPMENT_AS_EVIDENCED_BY_TRANSPORT_DOCUMENTS</xsl:attribute>
<xsl:if test="$parent/@paymentTermsEvent='DATE_OF_SHIPMENT_AS_EVIDENCED_BY_TRANSPORT_DOCUMENTS'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>DATE_OF_SHIPMENT_AS_EVIDENCED_BY_TRANSPORT_DOCUMENTS</xsl:element>
</xsl:element>
<xsl:if test="count($parent/@paymentTermsEvent) &gt; 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">remove</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.common.v2_0.PaymentTerms.PaymentTermsType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>@paymentTermsEvent</xsl:text>
</xsl:attribute>remove </xsl:element>
</xsl:if>
</xsl:if>
<xsl:if test="not($parent/@paymentTermsEvent)">
<xsl:if test="1 &gt; count($parent/@paymentTermsEvent) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.common.v2_0.PaymentTerms.PaymentTermsType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>@paymentTermsEvent</xsl:text>
</xsl:attribute>add </xsl:element>
</xsl:if>
</xsl:if> <image alt="occurence:1, datatype:eanucc.common.v2_0.PaymentTermsEventList.PaymentTermsEventListType" src="inform.gif"/>
</xsl:when>
<xsl:otherwise>
<xsl:value-of select="$parent/@paymentTermsEvent"/>
</xsl:otherwise>
</xsl:choose>
</td>
</tr>
</table>
</td>
      </tr>
      <tr>
        <td class="indent"/>
        <td>

        <table cellpadding="3" cellspacing="3">
<xsl:choose>
<xsl:when test="$parent/netPayment">
<xsl:for-each select="$parent/netPayment">
<tr>
<td>
<xsl:if test="$editvalue='true'">
<xsl:if test="1 &gt; count($parent/netPayment) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.common.v2_0.PaymentTerms.PaymentTermsType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>add </xsl:element>
</xsl:if>
<xsl:if test="count($parent/netPayment) &gt; 0">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">remove</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.common.v2_0.PaymentTerms.PaymentTermsType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>remove </xsl:element>
</xsl:if> <image alt="occurence:0..1, datatype:eanucc.common.v2_0.PaymentTerms.NetPaymentType" src="inform.gif"/>
</xsl:if>
<xsl:call-template name="eanucc_netPayment">
<xsl:with-param name="parent" select="."/>
<xsl:with-param name="section" select="$section+1"/>
</xsl:call-template>
</td>
</tr>
</xsl:for-each>
</xsl:when>
<xsl:otherwise>
<xsl:if test="$editvalue='true'">
<tr>
<td>
<xsl:if test="1 &gt; count($parent/netPayment) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="insertPoint">
<xsl:value-of select="count($parent/netPayment)"/>
</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.common.v2_0.PaymentTerms.PaymentTermsType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>netPayment[1]/</xsl:text>
</xsl:attribute>add netPayment</xsl:element>
</xsl:if> <image alt="occurence:0..1, datatype:eanucc.common.v2_0.PaymentTerms.NetPaymentType" src="inform.gif"/>
</td>
</tr>
</xsl:if>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="$parent/installmentDue">
<xsl:for-each select="$parent/installmentDue">
<tr>
<td>
<xsl:if test="$editvalue='true'">
<xsl:if test="1 &gt; count($parent/installmentDue) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.common.v2_0.PaymentTerms.PaymentTermsType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>add </xsl:element>
</xsl:if>
<xsl:if test="count($parent/installmentDue) &gt; 0">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">remove</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.common.v2_0.PaymentTerms.PaymentTermsType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>remove </xsl:element>
</xsl:if> <image alt="occurence:0..1, datatype:eanucc.common.v2_0.PaymentTerms.InstallmentDueType" src="inform.gif"/>
</xsl:if>
<xsl:call-template name="eanucc_installmentDue">
<xsl:with-param name="parent" select="."/>
<xsl:with-param name="section" select="$section+1"/>
</xsl:call-template>
</td>
</tr>
</xsl:for-each>
</xsl:when>
<xsl:otherwise>
<xsl:if test="$editvalue='true'">
<tr>
<td>
<xsl:if test="1 &gt; count($parent/installmentDue) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="insertPoint">
<xsl:value-of select="count($parent/netPayment)+count($parent/installmentDue)"/>
</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.common.v2_0.PaymentTerms.PaymentTermsType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>installmentDue[1]/</xsl:text>
</xsl:attribute>add installmentDue</xsl:element>
</xsl:if> <image alt="occurence:0..1, datatype:eanucc.common.v2_0.PaymentTerms.InstallmentDueType" src="inform.gif"/>
</td>
</tr>
</xsl:if>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="$parent/discountPayment">
<xsl:for-each select="$parent/discountPayment">
<tr>
<td>
<xsl:if test="$editvalue='true'">
<xsl:if test="-1 &gt; count($parent/discountPayment) or -1 = -1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.common.v2_0.PaymentTerms.PaymentTermsType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>add </xsl:element>
</xsl:if>
<xsl:if test="count($parent/discountPayment) &gt; 0">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">remove</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.common.v2_0.PaymentTerms.PaymentTermsType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>remove </xsl:element>
</xsl:if> <image alt="occurence:0..*, datatype:eanucc.common.v2_0.PaymentTerms.DiscountPaymentType" src="inform.gif"/>
</xsl:if>
<xsl:call-template name="eanucc_discountPayment">
<xsl:with-param name="parent" select="."/>
<xsl:with-param name="section" select="$section+1"/>
</xsl:call-template>
</td>
</tr>
</xsl:for-each>
</xsl:when>
<xsl:otherwise>
<xsl:if test="$editvalue='true'">
<tr>
<td>
<xsl:if test="-1 &gt; count($parent/discountPayment) or -1 = -1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="insertPoint">
<xsl:value-of select="count($parent/netPayment)+count($parent/installmentDue)+count($parent/discountPayment)"/>
</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.common.v2_0.PaymentTerms.PaymentTermsType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>discountPayment[1]/</xsl:text>
</xsl:attribute>add discountPayment</xsl:element>
</xsl:if> <image alt="occurence:0..*, datatype:eanucc.common.v2_0.PaymentTerms.DiscountPaymentType" src="inform.gif"/>
</td>
</tr>
</xsl:if>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="$parent/proximoCutOffDay">
<xsl:for-each select="$parent/proximoCutOffDay">
<tr>
<td>
<xsl:if test="$editvalue='true'">
<xsl:if test="1 &gt; count($parent/proximoCutOffDay) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.common.v2_0.PaymentTerms.PaymentTermsType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>add </xsl:element>
</xsl:if>
<xsl:if test="count($parent/proximoCutOffDay) &gt; 0">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">remove</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.common.v2_0.PaymentTerms.PaymentTermsType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>remove </xsl:element>
</xsl:if> <image alt="occurence:0..1, datatype:eanucc.common.v2_0.PaymentTerms.PromixoCutOffDayType" src="inform.gif"/>
</xsl:if>
<xsl:call-template name="eanucc_promixoCutOffDay">
<xsl:with-param name="parent" select="."/>
<xsl:with-param name="section" select="$section+1"/>
</xsl:call-template>
</td>
</tr>
</xsl:for-each>
</xsl:when>
<xsl:otherwise>
<xsl:if test="$editvalue='true'">
<tr>
<td>
<xsl:if test="1 &gt; count($parent/proximoCutOffDay) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="insertPoint">
<xsl:value-of select="count($parent/netPayment)+count($parent/installmentDue)+count($parent/discountPayment)+count($parent/proximoCutOffDay)"/>
</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.common.v2_0.PaymentTerms.PaymentTermsType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>proximoCutOffDay[1]/</xsl:text>
</xsl:attribute>add proximoCutOffDay</xsl:element>
</xsl:if> <image alt="occurence:0..1, datatype:eanucc.common.v2_0.PaymentTerms.PromixoCutOffDayType" src="inform.gif"/>
</td>
</tr>
</xsl:if>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="$parent/paymentMethod">
<xsl:for-each select="$parent/paymentMethod">
<tr>
<td>
<xsl:if test="$editvalue='true'">
<xsl:if test="-1 &gt; count($parent/paymentMethod) or -1 = -1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.common.v2_0.PaymentTerms.PaymentTermsType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>add </xsl:element>
</xsl:if>
<xsl:if test="count($parent/paymentMethod) &gt; 0">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">remove</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.common.v2_0.PaymentTerms.PaymentTermsType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>remove </xsl:element>
</xsl:if> <image alt="occurence:0..*, datatype:eanucc.common.v2_0.PaymentMethod.PaymentMethodType" src="inform.gif"/>
</xsl:if>
<xsl:call-template name="eanucc_paymentMethod">
<xsl:with-param name="parent" select="."/>
<xsl:with-param name="section" select="$section+1"/>
</xsl:call-template>
</td>
</tr>
</xsl:for-each>
</xsl:when>
<xsl:otherwise>
<xsl:if test="$editvalue='true'">
<tr>
<td>
<xsl:if test="-1 &gt; count($parent/paymentMethod) or -1 = -1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="insertPoint">
<xsl:value-of select="count($parent/netPayment)+count($parent/installmentDue)+count($parent/discountPayment)+count($parent/proximoCutOffDay)+count($parent/paymentMethod)"/>
</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.common.v2_0.PaymentTerms.PaymentTermsType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>paymentMethod[1]/</xsl:text>
</xsl:attribute>add paymentMethod</xsl:element>
</xsl:if> <image alt="occurence:0..*, datatype:eanucc.common.v2_0.PaymentMethod.PaymentMethodType" src="inform.gif"/>
</td>
</tr>
</xsl:if>
</xsl:otherwise>
</xsl:choose>
</table>
</td>
      </tr>			
    </xsl:element>
  </xsl:template>
</xsl:stylesheet>
