<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:eanucc="urn:ean.ucc:2" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:template name="eanucc_timePeriodDue">
    <xsl:param name="parent" select="."/>        
    <xsl:param name="section"/>
<xsl:element name="table">
      <xsl:attribute name="class">section<xsl:value-of select="$section"/>
</xsl:attribute>
      <tr>
        <td colspan="2">
          <table>
            <tr>
              <xsl:if test="string-length($parent) != 0">
              <td class="tagName" width="40%">
<xsl:for-each select="$parent">
<xsl:value-of select="name()"/>
</xsl:for-each>
</td>
              </xsl:if>
              <xsl:if test="string-length($parent) = 0">
              <td class="tagName" width="60%">
<xsl:value-of select="name()"/>
</td>
              </xsl:if>
              <td align="right" class="typeName" width="60%">
<replaceTypeName/>
</td>
            </tr>
          </table>
        </td>
      </tr>
      <tr>
        <td class="indent"/>
        <td>

        <table cellpadding="3" cellspacing="3">
<tr>
<td class="attributeName">timePeriod</td>
<td class="attributeValue">
<xsl:choose>
<xsl:when test="$editvalue='true'">
<xsl:if test="$parent/@timePeriod">
<xsl:element name="select">
<xsl:attribute name="class">Select</xsl:attribute>
<xsl:attribute name="name">inputBox</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>@timePeriod</xsl:text>
</xsl:attribute>
<xsl:element name="option">
<xsl:attribute name="value">WEEKS</xsl:attribute>
<xsl:if test="$parent/@timePeriod='WEEKS'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>WEEKS</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">MONTHS</xsl:attribute>
<xsl:if test="$parent/@timePeriod='MONTHS'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>MONTHS</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">DAYS</xsl:attribute>
<xsl:if test="$parent/@timePeriod='DAYS'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>DAYS</xsl:element>
</xsl:element>
<xsl:if test="count($parent/@timePeriod) &gt; 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">remove</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.common.v2_0.PaymentTerms.TimePeriodDueType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>@timePeriod</xsl:text>
</xsl:attribute>remove </xsl:element>
</xsl:if>
</xsl:if>
<xsl:if test="not($parent/@timePeriod)">
<xsl:if test="1 &gt; count($parent/@timePeriod) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.common.v2_0.PaymentTerms.TimePeriodDueType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>@timePeriod</xsl:text>
</xsl:attribute>add </xsl:element>
</xsl:if>
</xsl:if> <image alt="occurence:1, datatype:eanucc.common.v2_0.TimePeriodList.TimePeriodListType" src="inform.gif"/>
</xsl:when>
<xsl:otherwise>
<xsl:value-of select="$parent/@timePeriod"/>
</xsl:otherwise>
</xsl:choose>
</td>
</tr>
</table>
</td>
      </tr>
      <tr>
        <td class="indent"/>
        <td>

        <table cellpadding="3" cellspacing="3">
<xsl:choose>
<xsl:when test="$parent/value">
<xsl:for-each select="$parent/value">
<tr>
<td>
<xsl:choose>
<xsl:when test="$editvalue='true'">
<table>
<tr>
<td class="tagName" width="30%">value</td>
<td width="70%"> <image alt="occurence:1..1, datatype:eanucc.common.v2_0.DataTypes.NonNegativeInteger" src="inform.gif"/>
<xsl:element name="input">
<xsl:attribute name="type">text</xsl:attribute>
<xsl:attribute name="name">inputBox</xsl:attribute>
<xsl:attribute name="value">
<xsl:value-of select="."/>
</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>
</xsl:element>
<xsl:if test="count($parent/value) &gt; 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">remove</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.common.v2_0.PaymentTerms.TimePeriodDueType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>remove </xsl:element>
</xsl:if>
<xsl:if test="1 &gt; count($parent/value) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.common.v2_0.PaymentTerms.TimePeriodDueType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>add </xsl:element>
</xsl:if>
</td>
</tr>
</table>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates select="."/>
</xsl:otherwise>
</xsl:choose>
</td>
</tr>
</xsl:for-each>
</xsl:when>
<xsl:otherwise>
<xsl:if test="$editvalue='true'">
<tr>
<td>
<xsl:if test="1 &gt; count($parent/value) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="insertPoint">
<xsl:value-of select="count($parent/value)"/>
</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.common.v2_0.PaymentTerms.TimePeriodDueType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>value[1]/</xsl:text>
</xsl:attribute>add value</xsl:element>
</xsl:if> <image alt="occurence:1..1, datatype:eanucc.common.v2_0.DataTypes.NonNegativeInteger" src="inform.gif"/>
</td>
</tr>
</xsl:if>
</xsl:otherwise>
</xsl:choose>
</table>
</td>
      </tr>			
    </xsl:element>
  </xsl:template>
</xsl:stylesheet>
