<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:pay="urn:ean.ucc:pay:2" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:template name="pay_invoiceLineItemInformationAfterTaxes">
    <xsl:param name="parent" select="."/>        
    <xsl:param name="section"/>
<xsl:element name="table">
      <xsl:attribute name="class">section<xsl:value-of select="$section"/>
</xsl:attribute>
      <tr>
        <td colspan="2">
          <table>
            <tr>
              <xsl:if test="string-length($parent) != 0">
              <td class="tagName" width="40%">
<xsl:for-each select="$parent">
<xsl:value-of select="name()"/>
</xsl:for-each>
</td>
              </xsl:if>
              <xsl:if test="string-length($parent) = 0">
              <td class="tagName" width="60%">
<xsl:value-of select="name()"/>
</td>
              </xsl:if>
              <td align="right" class="typeName" width="60%">
<replaceTypeName/>
</td>
            </tr>
          </table>
        </td>
      </tr>
      <tr>
        <td class="indent"/>
        <td>

        </td>
      </tr>
      <tr>
        <td class="indent"/>
        <td>

        <table cellpadding="3" cellspacing="3">
<xsl:choose>
<xsl:when test="$parent/amountExclusiveAllowancesCharges">
<xsl:for-each select="$parent/amountExclusiveAllowancesCharges">
<tr>
<td>
<xsl:choose>
<xsl:when test="$editvalue='true'">
<table>
<tr>
<td class="tagName" width="30%">amountExclusiveAllowancesCharges</td>
<td width="70%"> <image alt="occurence:0..1, datatype:eanucc.common.v2_0.DataTypes.Float" src="inform.gif"/>
<xsl:element name="input">
<xsl:attribute name="type">text</xsl:attribute>
<xsl:attribute name="name">inputBox</xsl:attribute>
<xsl:attribute name="value">
<xsl:value-of select="."/>
</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>
</xsl:element>
<xsl:if test="count($parent/amountExclusiveAllowancesCharges) &gt; 0">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">remove</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceLineItemInformationAfterTaxesType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>remove </xsl:element>
</xsl:if>
<xsl:if test="1 &gt; count($parent/amountExclusiveAllowancesCharges) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceLineItemInformationAfterTaxesType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>add </xsl:element>
</xsl:if>
</td>
</tr>
</table>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates select="."/>
</xsl:otherwise>
</xsl:choose>
</td>
</tr>
</xsl:for-each>
</xsl:when>
<xsl:otherwise>
<xsl:if test="$editvalue='true'">
<tr>
<td>
<xsl:if test="1 &gt; count($parent/amountExclusiveAllowancesCharges) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="insertPoint">
<xsl:value-of select="count($parent/amountExclusiveAllowancesCharges)"/>
</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceLineItemInformationAfterTaxesType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>amountExclusiveAllowancesCharges[1]/</xsl:text>
</xsl:attribute>add amountExclusiveAllowancesCharges</xsl:element>
</xsl:if> <image alt="occurence:0..1, datatype:eanucc.common.v2_0.DataTypes.Float" src="inform.gif"/>
</td>
</tr>
</xsl:if>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="$parent/amountInclusiveAllowancesCharges">
<xsl:for-each select="$parent/amountInclusiveAllowancesCharges">
<tr>
<td>
<xsl:choose>
<xsl:when test="$editvalue='true'">
<table>
<tr>
<td class="tagName" width="30%">amountInclusiveAllowancesCharges</td>
<td width="70%"> <image alt="occurence:0..1, datatype:eanucc.common.v2_0.DataTypes.Float" src="inform.gif"/>
<xsl:element name="input">
<xsl:attribute name="type">text</xsl:attribute>
<xsl:attribute name="name">inputBox</xsl:attribute>
<xsl:attribute name="value">
<xsl:value-of select="."/>
</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>
</xsl:element>
<xsl:if test="count($parent/amountInclusiveAllowancesCharges) &gt; 0">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">remove</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceLineItemInformationAfterTaxesType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>remove </xsl:element>
</xsl:if>
<xsl:if test="1 &gt; count($parent/amountInclusiveAllowancesCharges) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceLineItemInformationAfterTaxesType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>add </xsl:element>
</xsl:if>
</td>
</tr>
</table>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates select="."/>
</xsl:otherwise>
</xsl:choose>
</td>
</tr>
</xsl:for-each>
</xsl:when>
<xsl:otherwise>
<xsl:if test="$editvalue='true'">
<tr>
<td>
<xsl:if test="1 &gt; count($parent/amountInclusiveAllowancesCharges) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="insertPoint">
<xsl:value-of select="count($parent/amountExclusiveAllowancesCharges)+count($parent/amountInclusiveAllowancesCharges)"/>
</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceLineItemInformationAfterTaxesType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>amountInclusiveAllowancesCharges[1]/</xsl:text>
</xsl:attribute>add amountInclusiveAllowancesCharges</xsl:element>
</xsl:if> <image alt="occurence:0..1, datatype:eanucc.common.v2_0.DataTypes.Float" src="inform.gif"/>
</td>
</tr>
</xsl:if>
</xsl:otherwise>
</xsl:choose>
</table>
</td>
      </tr>			
    </xsl:element>
  </xsl:template>
</xsl:stylesheet>
