<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:eanucc="urn:ean.ucc:2" xmlns:pay="urn:ean.ucc:pay:2" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:template name="pay_invoiceLineItem">
    <xsl:param name="parent" select="."/>        
    <xsl:param name="section"/>
<xsl:element name="table">
      <xsl:attribute name="class">section<xsl:value-of select="$section"/>
</xsl:attribute>
      <tr>
        <td colspan="2">
          <table>
            <tr>
              <xsl:if test="string-length($parent) != 0">
              <td class="tagName" width="40%">
<xsl:for-each select="$parent">
<xsl:value-of select="name()"/>
</xsl:for-each>
</td>
              </xsl:if>
              <xsl:if test="string-length($parent) = 0">
              <td class="tagName" width="60%">
<xsl:value-of select="name()"/>
</td>
              </xsl:if>
              <td align="right" class="typeName" width="60%">
<replaceTypeName/>
</td>
            </tr>
          </table>
        </td>
      </tr>
      <tr>
        <td class="indent"/>
        <td>

        <table cellpadding="3" cellspacing="3">
<tr>
<td class="attributeName">number</td>
<td class="attributeValue">
<xsl:choose>
<xsl:when test="$editvalue='true'">
<xsl:if test="$parent/@number">
<xsl:element name="input">
<xsl:attribute name="type">text</xsl:attribute>
<xsl:attribute name="name">inputBox</xsl:attribute>
<xsl:attribute name="value">
<xsl:value-of select="$parent/@number"/>
</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>@number</xsl:text>
</xsl:attribute>
</xsl:element>
<xsl:if test="count($parent/@number) &gt; 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">remove</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.common.v2_0.Document.LineItemType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>@number</xsl:text>
</xsl:attribute>remove </xsl:element>
</xsl:if>
</xsl:if>
<xsl:if test="not($parent/@number)">
<xsl:if test="1 &gt; count($parent/@number) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.common.v2_0.Document.LineItemType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>@number</xsl:text>
</xsl:attribute>add </xsl:element>
</xsl:if>
</xsl:if> <image alt="occurence:1, restriction:totalDigits='6', datatype:eanucc.common.v2_0.DataTypes.NonNegativeInteger" src="inform.gif"/>
</xsl:when>
<xsl:otherwise>
<xsl:value-of select="$parent/@number"/>
</xsl:otherwise>
</xsl:choose>
</td>
</tr>
</table>
</td>
      </tr>
      <tr>
        <td class="indent"/>
        <td>

        <table cellpadding="3" cellspacing="3">
<xsl:choose>
<xsl:when test="$parent/tradeItemIdentification">
<xsl:for-each select="$parent/tradeItemIdentification">
<tr>
<td>
<xsl:if test="$editvalue='true'">
<xsl:if test="1 &gt; count($parent/tradeItemIdentification) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceLineItemType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>add </xsl:element>
</xsl:if>
<xsl:if test="count($parent/tradeItemIdentification) &gt; 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">remove</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceLineItemType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>remove </xsl:element>
</xsl:if> <image alt="occurence:, datatype:eanucc.common.v2_0.TradeItemIdentification.TradeItemIdentificationType" src="inform.gif"/>
</xsl:if>
<xsl:call-template name="eanucc_tradeItemIdentification">
<xsl:with-param name="parent" select="."/>
<xsl:with-param name="section" select="$section+1"/>
</xsl:call-template>
</td>
</tr>
</xsl:for-each>
</xsl:when>
<xsl:otherwise>
<xsl:if test="$editvalue='true'">
<tr>
<td>
<xsl:if test="1 &gt; count($parent/tradeItemIdentification) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="insertPoint">
<xsl:value-of select="count($parent/tradeItemIdentification)"/>
</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceLineItemType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>tradeItemIdentification[1]/</xsl:text>
</xsl:attribute>add tradeItemIdentification</xsl:element>
</xsl:if> <image alt="occurence:, datatype:eanucc.common.v2_0.TradeItemIdentification.TradeItemIdentificationType" src="inform.gif"/>
</td>
</tr>
</xsl:if>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="$parent/invoicedQuantity">
<xsl:for-each select="$parent/invoicedQuantity">
<tr>
<td>
<xsl:if test="$editvalue='true'">
<xsl:if test="1 &gt; count($parent/invoicedQuantity) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceLineItemType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>add </xsl:element>
</xsl:if>
<xsl:if test="count($parent/invoicedQuantity) &gt; 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">remove</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceLineItemType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>remove </xsl:element>
</xsl:if> <image alt="occurence:, datatype:eanucc.common.v2_0.Quantity.QuantityType" src="inform.gif"/>
</xsl:if>
<xsl:call-template name="eanucc_quantity">
<xsl:with-param name="parent" select="."/>
<xsl:with-param name="section" select="$section+1"/>
</xsl:call-template>
</td>
</tr>
</xsl:for-each>
</xsl:when>
<xsl:otherwise>
<xsl:if test="$editvalue='true'">
<tr>
<td>
<xsl:if test="1 &gt; count($parent/invoicedQuantity) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="insertPoint">
<xsl:value-of select="count($parent/tradeItemIdentification)+count($parent/invoicedQuantity)"/>
</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceLineItemType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>invoicedQuantity[1]/</xsl:text>
</xsl:attribute>add invoicedQuantity</xsl:element>
</xsl:if> <image alt="occurence:, datatype:eanucc.common.v2_0.Quantity.QuantityType" src="inform.gif"/>
</td>
</tr>
</xsl:if>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="$parent/transferOfOwnershipDate">
<xsl:for-each select="$parent/transferOfOwnershipDate">
<tr>
<td>
<xsl:choose>
<xsl:when test="$editvalue='true'">
<table>
<tr>
<td class="tagName" width="30%">transferOfOwnershipDate</td>
<td width="70%"> <image alt="occurence:, datatype:eanucc.common.v2_0.DataTypes.Date" src="inform.gif"/>
<xsl:element name="input">
<xsl:attribute name="type">text</xsl:attribute>
<xsl:attribute name="name">inputBox</xsl:attribute>
<xsl:attribute name="value">
<xsl:value-of select="."/>
</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>
</xsl:element>
<xsl:if test="count($parent/transferOfOwnershipDate) &gt; 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">remove</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceLineItemType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>remove </xsl:element>
</xsl:if>
<xsl:if test="1 &gt; count($parent/transferOfOwnershipDate) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceLineItemType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>add </xsl:element>
</xsl:if>
</td>
</tr>
</table>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates select="."/>
</xsl:otherwise>
</xsl:choose>
</td>
</tr>
</xsl:for-each>
</xsl:when>
<xsl:otherwise>
<xsl:if test="$editvalue='true'">
<tr>
<td>
<xsl:if test="1 &gt; count($parent/transferOfOwnershipDate) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="insertPoint">
<xsl:value-of select="count($parent/tradeItemIdentification)+count($parent/invoicedQuantity)+count($parent/transferOfOwnershipDate)"/>
</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceLineItemType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>transferOfOwnershipDate[1]/</xsl:text>
</xsl:attribute>add transferOfOwnershipDate</xsl:element>
</xsl:if> <image alt="occurence:, datatype:eanucc.common.v2_0.DataTypes.Date" src="inform.gif"/>
</td>
</tr>
</xsl:if>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="$parent/amountExclusiveAllowancesCharges">
<xsl:for-each select="$parent/amountExclusiveAllowancesCharges">
<tr>
<td>
<xsl:choose>
<xsl:when test="$editvalue='true'">
<table>
<tr>
<td class="tagName" width="30%">amountExclusiveAllowancesCharges</td>
<td width="70%"> <image alt="occurence:0..1, datatype:eanucc.common.v2_0.DataTypes.Float" src="inform.gif"/>
<xsl:element name="input">
<xsl:attribute name="type">text</xsl:attribute>
<xsl:attribute name="name">inputBox</xsl:attribute>
<xsl:attribute name="value">
<xsl:value-of select="."/>
</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>
</xsl:element>
<xsl:if test="count($parent/amountExclusiveAllowancesCharges) &gt; 0">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">remove</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceLineItemType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>remove </xsl:element>
</xsl:if>
<xsl:if test="1 &gt; count($parent/amountExclusiveAllowancesCharges) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceLineItemType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>add </xsl:element>
</xsl:if>
</td>
</tr>
</table>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates select="."/>
</xsl:otherwise>
</xsl:choose>
</td>
</tr>
</xsl:for-each>
</xsl:when>
<xsl:otherwise>
<xsl:if test="$editvalue='true'">
<tr>
<td>
<xsl:if test="1 &gt; count($parent/amountExclusiveAllowancesCharges) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="insertPoint">
<xsl:value-of select="count($parent/tradeItemIdentification)+count($parent/invoicedQuantity)+count($parent/transferOfOwnershipDate)+count($parent/amountExclusiveAllowancesCharges)"/>
</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceLineItemType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>amountExclusiveAllowancesCharges[1]/</xsl:text>
</xsl:attribute>add amountExclusiveAllowancesCharges</xsl:element>
</xsl:if> <image alt="occurence:0..1, datatype:eanucc.common.v2_0.DataTypes.Float" src="inform.gif"/>
</td>
</tr>
</xsl:if>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="$parent/amountInclusiveAllowancesCharges">
<xsl:for-each select="$parent/amountInclusiveAllowancesCharges">
<tr>
<td>
<xsl:choose>
<xsl:when test="$editvalue='true'">
<table>
<tr>
<td class="tagName" width="30%">amountInclusiveAllowancesCharges</td>
<td width="70%"> <image alt="occurence:0..1, datatype:eanucc.common.v2_0.DataTypes.Float" src="inform.gif"/>
<xsl:element name="input">
<xsl:attribute name="type">text</xsl:attribute>
<xsl:attribute name="name">inputBox</xsl:attribute>
<xsl:attribute name="value">
<xsl:value-of select="."/>
</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>
</xsl:element>
<xsl:if test="count($parent/amountInclusiveAllowancesCharges) &gt; 0">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">remove</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceLineItemType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>remove </xsl:element>
</xsl:if>
<xsl:if test="1 &gt; count($parent/amountInclusiveAllowancesCharges) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceLineItemType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>add </xsl:element>
</xsl:if>
</td>
</tr>
</table>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates select="."/>
</xsl:otherwise>
</xsl:choose>
</td>
</tr>
</xsl:for-each>
</xsl:when>
<xsl:otherwise>
<xsl:if test="$editvalue='true'">
<tr>
<td>
<xsl:if test="1 &gt; count($parent/amountInclusiveAllowancesCharges) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="insertPoint">
<xsl:value-of select="count($parent/tradeItemIdentification)+count($parent/invoicedQuantity)+count($parent/transferOfOwnershipDate)+count($parent/amountExclusiveAllowancesCharges)+count($parent/amountInclusiveAllowancesCharges)"/>
</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceLineItemType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>amountInclusiveAllowancesCharges[1]/</xsl:text>
</xsl:attribute>add amountInclusiveAllowancesCharges</xsl:element>
</xsl:if> <image alt="occurence:0..1, datatype:eanucc.common.v2_0.DataTypes.Float" src="inform.gif"/>
</td>
</tr>
</xsl:if>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="$parent/itemDescription">
<xsl:for-each select="$parent/itemDescription">
<tr>
<td>
<xsl:if test="$editvalue='true'">
<xsl:if test="1 &gt; count($parent/itemDescription) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceLineItemType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>add </xsl:element>
</xsl:if>
<xsl:if test="count($parent/itemDescription) &gt; 0">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">remove</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceLineItemType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>remove </xsl:element>
</xsl:if> <image alt="occurence:0..1, datatype:eanucc.common.v2_0.Description.DescriptionType" src="inform.gif"/>
</xsl:if>
<xsl:call-template name="eanucc_description">
<xsl:with-param name="parent" select="."/>
<xsl:with-param name="section" select="$section+1"/>
</xsl:call-template>
</td>
</tr>
</xsl:for-each>
</xsl:when>
<xsl:otherwise>
<xsl:if test="$editvalue='true'">
<tr>
<td>
<xsl:if test="1 &gt; count($parent/itemDescription) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="insertPoint">
<xsl:value-of select="count($parent/tradeItemIdentification)+count($parent/invoicedQuantity)+count($parent/transferOfOwnershipDate)+count($parent/amountExclusiveAllowancesCharges)+count($parent/amountInclusiveAllowancesCharges)+count($parent/itemDescription)"/>
</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceLineItemType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>itemDescription[1]/</xsl:text>
</xsl:attribute>add itemDescription</xsl:element>
</xsl:if> <image alt="occurence:0..1, datatype:eanucc.common.v2_0.Description.DescriptionType" src="inform.gif"/>
</td>
</tr>
</xsl:if>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="$parent/itemPriceBaseQuantity">
<xsl:for-each select="$parent/itemPriceBaseQuantity">
<tr>
<td>
<xsl:if test="$editvalue='true'">
<xsl:if test="1 &gt; count($parent/itemPriceBaseQuantity) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceLineItemType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>add </xsl:element>
</xsl:if>
<xsl:if test="count($parent/itemPriceBaseQuantity) &gt; 0">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">remove</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceLineItemType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>remove </xsl:element>
</xsl:if> <image alt="occurence:0..1, datatype:eanucc.common.v2_0.Quantity.QuantityType" src="inform.gif"/>
</xsl:if>
<xsl:call-template name="eanucc_quantity">
<xsl:with-param name="parent" select="."/>
<xsl:with-param name="section" select="$section+1"/>
</xsl:call-template>
</td>
</tr>
</xsl:for-each>
</xsl:when>
<xsl:otherwise>
<xsl:if test="$editvalue='true'">
<tr>
<td>
<xsl:if test="1 &gt; count($parent/itemPriceBaseQuantity) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="insertPoint">
<xsl:value-of select="count($parent/tradeItemIdentification)+count($parent/invoicedQuantity)+count($parent/transferOfOwnershipDate)+count($parent/amountExclusiveAllowancesCharges)+count($parent/amountInclusiveAllowancesCharges)+count($parent/itemDescription)+count($parent/itemPriceBaseQuantity)"/>
</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceLineItemType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>itemPriceBaseQuantity[1]/</xsl:text>
</xsl:attribute>add itemPriceBaseQuantity</xsl:element>
</xsl:if> <image alt="occurence:0..1, datatype:eanucc.common.v2_0.Quantity.QuantityType" src="inform.gif"/>
</td>
</tr>
</xsl:if>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="$parent/itemPriceExclusiveAllowancesCharges">
<xsl:for-each select="$parent/itemPriceExclusiveAllowancesCharges">
<tr>
<td>
<xsl:choose>
<xsl:when test="$editvalue='true'">
<table>
<tr>
<td class="tagName" width="30%">itemPriceExclusiveAllowancesCharges</td>
<td width="70%"> <image alt="occurence:0..1, datatype:eanucc.common.v2_0.DataTypes.Float" src="inform.gif"/>
<xsl:element name="input">
<xsl:attribute name="type">text</xsl:attribute>
<xsl:attribute name="name">inputBox</xsl:attribute>
<xsl:attribute name="value">
<xsl:value-of select="."/>
</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>
</xsl:element>
<xsl:if test="count($parent/itemPriceExclusiveAllowancesCharges) &gt; 0">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">remove</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceLineItemType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>remove </xsl:element>
</xsl:if>
<xsl:if test="1 &gt; count($parent/itemPriceExclusiveAllowancesCharges) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceLineItemType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>add </xsl:element>
</xsl:if>
</td>
</tr>
</table>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates select="."/>
</xsl:otherwise>
</xsl:choose>
</td>
</tr>
</xsl:for-each>
</xsl:when>
<xsl:otherwise>
<xsl:if test="$editvalue='true'">
<tr>
<td>
<xsl:if test="1 &gt; count($parent/itemPriceExclusiveAllowancesCharges) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="insertPoint">
<xsl:value-of select="count($parent/tradeItemIdentification)+count($parent/invoicedQuantity)+count($parent/transferOfOwnershipDate)+count($parent/amountExclusiveAllowancesCharges)+count($parent/amountInclusiveAllowancesCharges)+count($parent/itemDescription)+count($parent/itemPriceBaseQuantity)+count($parent/itemPriceExclusiveAllowancesCharges)"/>
</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceLineItemType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>itemPriceExclusiveAllowancesCharges[1]/</xsl:text>
</xsl:attribute>add itemPriceExclusiveAllowancesCharges</xsl:element>
</xsl:if> <image alt="occurence:0..1, datatype:eanucc.common.v2_0.DataTypes.Float" src="inform.gif"/>
</td>
</tr>
</xsl:if>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="$parent/itemPriceInclusiveAllowancesCharges">
<xsl:for-each select="$parent/itemPriceInclusiveAllowancesCharges">
<tr>
<td>
<xsl:choose>
<xsl:when test="$editvalue='true'">
<table>
<tr>
<td class="tagName" width="30%">itemPriceInclusiveAllowancesCharges</td>
<td width="70%"> <image alt="occurence:0..1, datatype:eanucc.common.v2_0.DataTypes.Float" src="inform.gif"/>
<xsl:element name="input">
<xsl:attribute name="type">text</xsl:attribute>
<xsl:attribute name="name">inputBox</xsl:attribute>
<xsl:attribute name="value">
<xsl:value-of select="."/>
</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>
</xsl:element>
<xsl:if test="count($parent/itemPriceInclusiveAllowancesCharges) &gt; 0">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">remove</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceLineItemType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>remove </xsl:element>
</xsl:if>
<xsl:if test="1 &gt; count($parent/itemPriceInclusiveAllowancesCharges) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceLineItemType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>add </xsl:element>
</xsl:if>
</td>
</tr>
</table>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates select="."/>
</xsl:otherwise>
</xsl:choose>
</td>
</tr>
</xsl:for-each>
</xsl:when>
<xsl:otherwise>
<xsl:if test="$editvalue='true'">
<tr>
<td>
<xsl:if test="1 &gt; count($parent/itemPriceInclusiveAllowancesCharges) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="insertPoint">
<xsl:value-of select="count($parent/tradeItemIdentification)+count($parent/invoicedQuantity)+count($parent/transferOfOwnershipDate)+count($parent/amountExclusiveAllowancesCharges)+count($parent/amountInclusiveAllowancesCharges)+count($parent/itemDescription)+count($parent/itemPriceBaseQuantity)+count($parent/itemPriceExclusiveAllowancesCharges)+count($parent/itemPriceInclusiveAllowancesCharges)"/>
</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceLineItemType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>itemPriceInclusiveAllowancesCharges[1]/</xsl:text>
</xsl:attribute>add itemPriceInclusiveAllowancesCharges</xsl:element>
</xsl:if> <image alt="occurence:0..1, datatype:eanucc.common.v2_0.DataTypes.Float" src="inform.gif"/>
</td>
</tr>
</xsl:if>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="$parent/deliveryNote">
<xsl:for-each select="$parent/deliveryNote">
<tr>
<td>
<xsl:if test="$editvalue='true'">
<xsl:if test="1 &gt; count($parent/deliveryNote) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceLineItemType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>add </xsl:element>
</xsl:if>
<xsl:if test="count($parent/deliveryNote) &gt; 0">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">remove</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceLineItemType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>remove </xsl:element>
</xsl:if> <image alt="occurence:0..1, datatype:eanucc.common.v2_0.Document.ReferenceType" src="inform.gif"/>
</xsl:if>
<xsl:call-template name="eanucc_reference">
<xsl:with-param name="parent" select="."/>
<xsl:with-param name="section" select="$section+1"/>
</xsl:call-template>
</td>
</tr>
</xsl:for-each>
</xsl:when>
<xsl:otherwise>
<xsl:if test="$editvalue='true'">
<tr>
<td>
<xsl:if test="1 &gt; count($parent/deliveryNote) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="insertPoint">
<xsl:value-of select="count($parent/tradeItemIdentification)+count($parent/invoicedQuantity)+count($parent/transferOfOwnershipDate)+count($parent/amountExclusiveAllowancesCharges)+count($parent/amountInclusiveAllowancesCharges)+count($parent/itemDescription)+count($parent/itemPriceBaseQuantity)+count($parent/itemPriceExclusiveAllowancesCharges)+count($parent/itemPriceInclusiveAllowancesCharges)+count($parent/deliveryNote)"/>
</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceLineItemType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>deliveryNote[1]/</xsl:text>
</xsl:attribute>add deliveryNote</xsl:element>
</xsl:if> <image alt="occurence:0..1, datatype:eanucc.common.v2_0.Document.ReferenceType" src="inform.gif"/>
</td>
</tr>
</xsl:if>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="$parent/orderIdentification">
<xsl:for-each select="$parent/orderIdentification">
<tr>
<td>
<xsl:if test="$editvalue='true'">
<xsl:if test="1 &gt; count($parent/orderIdentification) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceLineItemType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>add </xsl:element>
</xsl:if>
<xsl:if test="count($parent/orderIdentification) &gt; 0">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">remove</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceLineItemType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>remove </xsl:element>
</xsl:if> <image alt="occurence:0..1, datatype:eanucc.common.v2_0.DocumentOrDocumentLineReference.DocumentOrDocumentLineReferenceType" src="inform.gif"/>
</xsl:if>
<xsl:call-template name="eanucc_documentOrDocumentLineReference">
<xsl:with-param name="parent" select="."/>
<xsl:with-param name="section" select="$section+1"/>
</xsl:call-template>
</td>
</tr>
</xsl:for-each>
</xsl:when>
<xsl:otherwise>
<xsl:if test="$editvalue='true'">
<tr>
<td>
<xsl:if test="1 &gt; count($parent/orderIdentification) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="insertPoint">
<xsl:value-of select="count($parent/tradeItemIdentification)+count($parent/invoicedQuantity)+count($parent/transferOfOwnershipDate)+count($parent/amountExclusiveAllowancesCharges)+count($parent/amountInclusiveAllowancesCharges)+count($parent/itemDescription)+count($parent/itemPriceBaseQuantity)+count($parent/itemPriceExclusiveAllowancesCharges)+count($parent/itemPriceInclusiveAllowancesCharges)+count($parent/deliveryNote)+count($parent/orderIdentification)"/>
</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceLineItemType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>orderIdentification[1]/</xsl:text>
</xsl:attribute>add orderIdentification</xsl:element>
</xsl:if> <image alt="occurence:0..1, datatype:eanucc.common.v2_0.DocumentOrDocumentLineReference.DocumentOrDocumentLineReferenceType" src="inform.gif"/>
</td>
</tr>
</xsl:if>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="$parent/consumptionReport">
<xsl:for-each select="$parent/consumptionReport">
<tr>
<td>
<xsl:if test="$editvalue='true'">
<xsl:if test="1 &gt; count($parent/consumptionReport) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceLineItemType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>add </xsl:element>
</xsl:if>
<xsl:if test="count($parent/consumptionReport) &gt; 0">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">remove</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceLineItemType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>remove </xsl:element>
</xsl:if> <image alt="occurence:0..1, datatype:eanucc.common.v2_0.DocumentOrDocumentLineReference.DocumentOrDocumentLineReferenceType" src="inform.gif"/>
</xsl:if>
<xsl:call-template name="eanucc_documentOrDocumentLineReference">
<xsl:with-param name="parent" select="."/>
<xsl:with-param name="section" select="$section+1"/>
</xsl:call-template>
</td>
</tr>
</xsl:for-each>
</xsl:when>
<xsl:otherwise>
<xsl:if test="$editvalue='true'">
<tr>
<td>
<xsl:if test="1 &gt; count($parent/consumptionReport) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="insertPoint">
<xsl:value-of select="count($parent/tradeItemIdentification)+count($parent/invoicedQuantity)+count($parent/transferOfOwnershipDate)+count($parent/amountExclusiveAllowancesCharges)+count($parent/amountInclusiveAllowancesCharges)+count($parent/itemDescription)+count($parent/itemPriceBaseQuantity)+count($parent/itemPriceExclusiveAllowancesCharges)+count($parent/itemPriceInclusiveAllowancesCharges)+count($parent/deliveryNote)+count($parent/orderIdentification)+count($parent/consumptionReport)"/>
</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceLineItemType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>consumptionReport[1]/</xsl:text>
</xsl:attribute>add consumptionReport</xsl:element>
</xsl:if> <image alt="occurence:0..1, datatype:eanucc.common.v2_0.DocumentOrDocumentLineReference.DocumentOrDocumentLineReferenceType" src="inform.gif"/>
</td>
</tr>
</xsl:if>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="$parent/receivingAdvice">
<xsl:for-each select="$parent/receivingAdvice">
<tr>
<td>
<xsl:if test="$editvalue='true'">
<xsl:if test="1 &gt; count($parent/receivingAdvice) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceLineItemType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>add </xsl:element>
</xsl:if>
<xsl:if test="count($parent/receivingAdvice) &gt; 0">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">remove</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceLineItemType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>remove </xsl:element>
</xsl:if> <image alt="occurence:0..1, datatype:eanucc.common.v2_0.DocumentOrDocumentLineReference.DocumentOrDocumentLineReferenceType" src="inform.gif"/>
</xsl:if>
<xsl:call-template name="eanucc_documentOrDocumentLineReference">
<xsl:with-param name="parent" select="."/>
<xsl:with-param name="section" select="$section+1"/>
</xsl:call-template>
</td>
</tr>
</xsl:for-each>
</xsl:when>
<xsl:otherwise>
<xsl:if test="$editvalue='true'">
<tr>
<td>
<xsl:if test="1 &gt; count($parent/receivingAdvice) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="insertPoint">
<xsl:value-of select="count($parent/tradeItemIdentification)+count($parent/invoicedQuantity)+count($parent/transferOfOwnershipDate)+count($parent/amountExclusiveAllowancesCharges)+count($parent/amountInclusiveAllowancesCharges)+count($parent/itemDescription)+count($parent/itemPriceBaseQuantity)+count($parent/itemPriceExclusiveAllowancesCharges)+count($parent/itemPriceInclusiveAllowancesCharges)+count($parent/deliveryNote)+count($parent/orderIdentification)+count($parent/consumptionReport)+count($parent/receivingAdvice)"/>
</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceLineItemType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>receivingAdvice[1]/</xsl:text>
</xsl:attribute>add receivingAdvice</xsl:element>
</xsl:if> <image alt="occurence:0..1, datatype:eanucc.common.v2_0.DocumentOrDocumentLineReference.DocumentOrDocumentLineReferenceType" src="inform.gif"/>
</td>
</tr>
</xsl:if>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="$parent/purchaseConditions">
<xsl:for-each select="$parent/purchaseConditions">
<tr>
<td>
<xsl:if test="$editvalue='true'">
<xsl:if test="1 &gt; count($parent/purchaseConditions) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceLineItemType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>add </xsl:element>
</xsl:if>
<xsl:if test="count($parent/purchaseConditions) &gt; 0">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">remove</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceLineItemType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>remove </xsl:element>
</xsl:if> <image alt="occurence:0..1, datatype:eanucc.common.v2_0.DocumentOrDocumentLineReference.DocumentOrDocumentLineReferenceType" src="inform.gif"/>
</xsl:if>
<xsl:call-template name="eanucc_documentOrDocumentLineReference">
<xsl:with-param name="parent" select="."/>
<xsl:with-param name="section" select="$section+1"/>
</xsl:call-template>
</td>
</tr>
</xsl:for-each>
</xsl:when>
<xsl:otherwise>
<xsl:if test="$editvalue='true'">
<tr>
<td>
<xsl:if test="1 &gt; count($parent/purchaseConditions) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="insertPoint">
<xsl:value-of select="count($parent/tradeItemIdentification)+count($parent/invoicedQuantity)+count($parent/transferOfOwnershipDate)+count($parent/amountExclusiveAllowancesCharges)+count($parent/amountInclusiveAllowancesCharges)+count($parent/itemDescription)+count($parent/itemPriceBaseQuantity)+count($parent/itemPriceExclusiveAllowancesCharges)+count($parent/itemPriceInclusiveAllowancesCharges)+count($parent/deliveryNote)+count($parent/orderIdentification)+count($parent/consumptionReport)+count($parent/receivingAdvice)+count($parent/purchaseConditions)"/>
</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceLineItemType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>purchaseConditions[1]/</xsl:text>
</xsl:attribute>add purchaseConditions</xsl:element>
</xsl:if> <image alt="occurence:0..1, datatype:eanucc.common.v2_0.DocumentOrDocumentLineReference.DocumentOrDocumentLineReferenceType" src="inform.gif"/>
</td>
</tr>
</xsl:if>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="$parent/despatchAdvice">
<xsl:for-each select="$parent/despatchAdvice">
<tr>
<td>
<xsl:if test="$editvalue='true'">
<xsl:if test="1 &gt; count($parent/despatchAdvice) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceLineItemType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>add </xsl:element>
</xsl:if>
<xsl:if test="count($parent/despatchAdvice) &gt; 0">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">remove</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceLineItemType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>remove </xsl:element>
</xsl:if> <image alt="occurence:0..1, datatype:eanucc.common.v2_0.DocumentOrDocumentLineReference.DocumentOrDocumentLineReferenceType" src="inform.gif"/>
</xsl:if>
<xsl:call-template name="eanucc_documentOrDocumentLineReference">
<xsl:with-param name="parent" select="."/>
<xsl:with-param name="section" select="$section+1"/>
</xsl:call-template>
</td>
</tr>
</xsl:for-each>
</xsl:when>
<xsl:otherwise>
<xsl:if test="$editvalue='true'">
<tr>
<td>
<xsl:if test="1 &gt; count($parent/despatchAdvice) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="insertPoint">
<xsl:value-of select="count($parent/tradeItemIdentification)+count($parent/invoicedQuantity)+count($parent/transferOfOwnershipDate)+count($parent/amountExclusiveAllowancesCharges)+count($parent/amountInclusiveAllowancesCharges)+count($parent/itemDescription)+count($parent/itemPriceBaseQuantity)+count($parent/itemPriceExclusiveAllowancesCharges)+count($parent/itemPriceInclusiveAllowancesCharges)+count($parent/deliveryNote)+count($parent/orderIdentification)+count($parent/consumptionReport)+count($parent/receivingAdvice)+count($parent/purchaseConditions)+count($parent/despatchAdvice)"/>
</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceLineItemType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>despatchAdvice[1]/</xsl:text>
</xsl:attribute>add despatchAdvice</xsl:element>
</xsl:if> <image alt="occurence:0..1, datatype:eanucc.common.v2_0.DocumentOrDocumentLineReference.DocumentOrDocumentLineReferenceType" src="inform.gif"/>
</td>
</tr>
</xsl:if>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="$parent/invoice">
<xsl:for-each select="$parent/invoice">
<tr>
<td>
<xsl:if test="$editvalue='true'">
<xsl:if test="1 &gt; count($parent/invoice) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceLineItemType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>add </xsl:element>
</xsl:if>
<xsl:if test="count($parent/invoice) &gt; 0">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">remove</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceLineItemType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>remove </xsl:element>
</xsl:if> <image alt="occurence:0..1, datatype:eanucc.common.v2_0.DocumentOrDocumentLineReference.DocumentOrDocumentLineReferenceType" src="inform.gif"/>
</xsl:if>
<xsl:call-template name="eanucc_documentOrDocumentLineReference">
<xsl:with-param name="parent" select="."/>
<xsl:with-param name="section" select="$section+1"/>
</xsl:call-template>
</td>
</tr>
</xsl:for-each>
</xsl:when>
<xsl:otherwise>
<xsl:if test="$editvalue='true'">
<tr>
<td>
<xsl:if test="1 &gt; count($parent/invoice) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="insertPoint">
<xsl:value-of select="count($parent/tradeItemIdentification)+count($parent/invoicedQuantity)+count($parent/transferOfOwnershipDate)+count($parent/amountExclusiveAllowancesCharges)+count($parent/amountInclusiveAllowancesCharges)+count($parent/itemDescription)+count($parent/itemPriceBaseQuantity)+count($parent/itemPriceExclusiveAllowancesCharges)+count($parent/itemPriceInclusiveAllowancesCharges)+count($parent/deliveryNote)+count($parent/orderIdentification)+count($parent/consumptionReport)+count($parent/receivingAdvice)+count($parent/purchaseConditions)+count($parent/despatchAdvice)+count($parent/invoice)"/>
</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceLineItemType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>invoice[1]/</xsl:text>
</xsl:attribute>add invoice</xsl:element>
</xsl:if> <image alt="occurence:0..1, datatype:eanucc.common.v2_0.DocumentOrDocumentLineReference.DocumentOrDocumentLineReferenceType" src="inform.gif"/>
</td>
</tr>
</xsl:if>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="$parent/invoiceLineItemInformationAfterTaxes">
<xsl:for-each select="$parent/invoiceLineItemInformationAfterTaxes">
<tr>
<td>
<xsl:if test="$editvalue='true'">
<xsl:if test="1 &gt; count($parent/invoiceLineItemInformationAfterTaxes) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceLineItemType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>add </xsl:element>
</xsl:if>
<xsl:if test="count($parent/invoiceLineItemInformationAfterTaxes) &gt; 0">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">remove</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceLineItemType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>remove </xsl:element>
</xsl:if> <image alt="occurence:0..1, datatype:eanucc.pay.v2_0.Invoice.InvoiceLineItemInformationAfterTaxesType" src="inform.gif"/>
</xsl:if>
<xsl:call-template name="pay_invoiceLineItemInformationAfterTaxes">
<xsl:with-param name="parent" select="."/>
<xsl:with-param name="section" select="$section+1"/>
</xsl:call-template>
</td>
</tr>
</xsl:for-each>
</xsl:when>
<xsl:otherwise>
<xsl:if test="$editvalue='true'">
<tr>
<td>
<xsl:if test="1 &gt; count($parent/invoiceLineItemInformationAfterTaxes) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="insertPoint">
<xsl:value-of select="count($parent/tradeItemIdentification)+count($parent/invoicedQuantity)+count($parent/transferOfOwnershipDate)+count($parent/amountExclusiveAllowancesCharges)+count($parent/amountInclusiveAllowancesCharges)+count($parent/itemDescription)+count($parent/itemPriceBaseQuantity)+count($parent/itemPriceExclusiveAllowancesCharges)+count($parent/itemPriceInclusiveAllowancesCharges)+count($parent/deliveryNote)+count($parent/orderIdentification)+count($parent/consumptionReport)+count($parent/receivingAdvice)+count($parent/purchaseConditions)+count($parent/despatchAdvice)+count($parent/invoice)+count($parent/invoiceLineItemInformationAfterTaxes)"/>
</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceLineItemType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>invoiceLineItemInformationAfterTaxes[1]/</xsl:text>
</xsl:attribute>add invoiceLineItemInformationAfterTaxes</xsl:element>
</xsl:if> <image alt="occurence:0..1, datatype:eanucc.pay.v2_0.Invoice.InvoiceLineItemInformationAfterTaxesType" src="inform.gif"/>
</td>
</tr>
</xsl:if>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="$parent/invoiceLineTaxInformation">
<xsl:for-each select="$parent/invoiceLineTaxInformation">
<tr>
<td>
<xsl:if test="$editvalue='true'">
<xsl:if test="-1 &gt; count($parent/invoiceLineTaxInformation) or -1 = -1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceLineItemType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>add </xsl:element>
</xsl:if>
<xsl:if test="count($parent/invoiceLineTaxInformation) &gt; 0">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">remove</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceLineItemType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>remove </xsl:element>
</xsl:if> <image alt="occurence:0..*, datatype:eanucc.pay.v2_0.InvoiceTaxInformation.InvoiceTaxInformationType" src="inform.gif"/>
</xsl:if>
<xsl:call-template name="pay_invoiceTaxInformation">
<xsl:with-param name="parent" select="."/>
<xsl:with-param name="section" select="$section+1"/>
</xsl:call-template>
</td>
</tr>
</xsl:for-each>
</xsl:when>
<xsl:otherwise>
<xsl:if test="$editvalue='true'">
<tr>
<td>
<xsl:if test="-1 &gt; count($parent/invoiceLineTaxInformation) or -1 = -1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="insertPoint">
<xsl:value-of select="count($parent/tradeItemIdentification)+count($parent/invoicedQuantity)+count($parent/transferOfOwnershipDate)+count($parent/amountExclusiveAllowancesCharges)+count($parent/amountInclusiveAllowancesCharges)+count($parent/itemDescription)+count($parent/itemPriceBaseQuantity)+count($parent/itemPriceExclusiveAllowancesCharges)+count($parent/itemPriceInclusiveAllowancesCharges)+count($parent/deliveryNote)+count($parent/orderIdentification)+count($parent/consumptionReport)+count($parent/receivingAdvice)+count($parent/purchaseConditions)+count($parent/despatchAdvice)+count($parent/invoice)+count($parent/invoiceLineItemInformationAfterTaxes)+count($parent/invoiceLineTaxInformation)"/>
</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceLineItemType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>invoiceLineTaxInformation[1]/</xsl:text>
</xsl:attribute>add invoiceLineTaxInformation</xsl:element>
</xsl:if> <image alt="occurence:0..*, datatype:eanucc.pay.v2_0.InvoiceTaxInformation.InvoiceTaxInformationType" src="inform.gif"/>
</td>
</tr>
</xsl:if>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="$parent/invoiceLineAllowanceCharge">
<xsl:for-each select="$parent/invoiceLineAllowanceCharge">
<tr>
<td>
<xsl:if test="$editvalue='true'">
<xsl:if test="-1 &gt; count($parent/invoiceLineAllowanceCharge) or -1 = -1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceLineItemType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>add </xsl:element>
</xsl:if>
<xsl:if test="count($parent/invoiceLineAllowanceCharge) &gt; 0">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">remove</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceLineItemType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>remove </xsl:element>
</xsl:if> <image alt="occurence:0..*, datatype:eanucc.pay.v2_0.Invoice.InvoiceAllowanceChargeType" src="inform.gif"/>
</xsl:if>
<xsl:call-template name="pay_invoiceAllowanceCharge">
<xsl:with-param name="parent" select="."/>
<xsl:with-param name="section" select="$section+1"/>
</xsl:call-template>
</td>
</tr>
</xsl:for-each>
</xsl:when>
<xsl:otherwise>
<xsl:if test="$editvalue='true'">
<tr>
<td>
<xsl:if test="-1 &gt; count($parent/invoiceLineAllowanceCharge) or -1 = -1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="insertPoint">
<xsl:value-of select="count($parent/tradeItemIdentification)+count($parent/invoicedQuantity)+count($parent/transferOfOwnershipDate)+count($parent/amountExclusiveAllowancesCharges)+count($parent/amountInclusiveAllowancesCharges)+count($parent/itemDescription)+count($parent/itemPriceBaseQuantity)+count($parent/itemPriceExclusiveAllowancesCharges)+count($parent/itemPriceInclusiveAllowancesCharges)+count($parent/deliveryNote)+count($parent/orderIdentification)+count($parent/consumptionReport)+count($parent/receivingAdvice)+count($parent/purchaseConditions)+count($parent/despatchAdvice)+count($parent/invoice)+count($parent/invoiceLineItemInformationAfterTaxes)+count($parent/invoiceLineTaxInformation)+count($parent/invoiceLineAllowanceCharge)"/>
</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceLineItemType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>invoiceLineAllowanceCharge[1]/</xsl:text>
</xsl:attribute>add invoiceLineAllowanceCharge</xsl:element>
</xsl:if> <image alt="occurence:0..*, datatype:eanucc.pay.v2_0.Invoice.InvoiceAllowanceChargeType" src="inform.gif"/>
</td>
</tr>
</xsl:if>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="$parent/extension">
<xsl:for-each select="$parent/extension">
<tr>
<td>
<xsl:if test="$editvalue='true'">
<xsl:if test="1 &gt; count($parent/extension) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceLineItemType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>add </xsl:element>
</xsl:if>
<xsl:if test="count($parent/extension) &gt; 0">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">remove</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceLineItemType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>remove </xsl:element>
</xsl:if> <image alt="occurence:0..1, datatype:eanucc.common.v2_0.Extension.ExtensionType" src="inform.gif"/>
</xsl:if>
<xsl:call-template name="eanucc_extension">
<xsl:with-param name="parent" select="."/>
<xsl:with-param name="section" select="$section+1"/>
</xsl:call-template>
</td>
</tr>
</xsl:for-each>
</xsl:when>
<xsl:otherwise>
<xsl:if test="$editvalue='true'">
<tr>
<td>
<xsl:if test="1 &gt; count($parent/extension) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="insertPoint">
<xsl:value-of select="count($parent/tradeItemIdentification)+count($parent/invoicedQuantity)+count($parent/transferOfOwnershipDate)+count($parent/amountExclusiveAllowancesCharges)+count($parent/amountInclusiveAllowancesCharges)+count($parent/itemDescription)+count($parent/itemPriceBaseQuantity)+count($parent/itemPriceExclusiveAllowancesCharges)+count($parent/itemPriceInclusiveAllowancesCharges)+count($parent/deliveryNote)+count($parent/orderIdentification)+count($parent/consumptionReport)+count($parent/receivingAdvice)+count($parent/purchaseConditions)+count($parent/despatchAdvice)+count($parent/invoice)+count($parent/invoiceLineItemInformationAfterTaxes)+count($parent/invoiceLineTaxInformation)+count($parent/invoiceLineAllowanceCharge)+count($parent/extension)"/>
</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceLineItemType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>extension[1]/</xsl:text>
</xsl:attribute>add extension</xsl:element>
</xsl:if> <image alt="occurence:0..1, datatype:eanucc.common.v2_0.Extension.ExtensionType" src="inform.gif"/>
</td>
</tr>
</xsl:if>
</xsl:otherwise>
</xsl:choose>
</table>
</td>
      </tr>			
    </xsl:element>
  </xsl:template>
</xsl:stylesheet>
