<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:eanucc="urn:ean.ucc:2" xmlns:pay="urn:ean.ucc:pay:2" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:template name="pay_invoiceTotals">
    <xsl:param name="parent" select="."/>        
    <xsl:param name="section"/>
<xsl:element name="table">
      <xsl:attribute name="class">section<xsl:value-of select="$section"/>
</xsl:attribute>
      <tr>
        <td colspan="2">
          <table>
            <tr>
              <xsl:if test="string-length($parent) != 0">
              <td class="tagName" width="40%">
<xsl:for-each select="$parent">
<xsl:value-of select="name()"/>
</xsl:for-each>
</td>
              </xsl:if>
              <xsl:if test="string-length($parent) = 0">
              <td class="tagName" width="60%">
<xsl:value-of select="name()"/>
</td>
              </xsl:if>
              <td align="right" class="typeName" width="60%">
<replaceTypeName/>
</td>
            </tr>
          </table>
        </td>
      </tr>
      <tr>
        <td class="indent"/>
        <td>

        </td>
      </tr>
      <tr>
        <td class="indent"/>
        <td>

        <table cellpadding="3" cellspacing="3">
<xsl:choose>
<xsl:when test="$parent/totalInvoiceAmount">
<xsl:for-each select="$parent/totalInvoiceAmount">
<tr>
<td>
<xsl:choose>
<xsl:when test="$editvalue='true'">
<table>
<tr>
<td class="tagName" width="30%">totalInvoiceAmount</td>
<td width="70%"> <image alt="occurence:, datatype:eanucc.common.v2_0.DataTypes.Float" src="inform.gif"/>
<xsl:element name="input">
<xsl:attribute name="type">text</xsl:attribute>
<xsl:attribute name="name">inputBox</xsl:attribute>
<xsl:attribute name="value">
<xsl:value-of select="."/>
</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>
</xsl:element>
<xsl:if test="count($parent/totalInvoiceAmount) &gt; 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">remove</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceTotalsType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>remove </xsl:element>
</xsl:if>
<xsl:if test="1 &gt; count($parent/totalInvoiceAmount) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceTotalsType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>add </xsl:element>
</xsl:if>
</td>
</tr>
</table>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates select="."/>
</xsl:otherwise>
</xsl:choose>
</td>
</tr>
</xsl:for-each>
</xsl:when>
<xsl:otherwise>
<xsl:if test="$editvalue='true'">
<tr>
<td>
<xsl:if test="1 &gt; count($parent/totalInvoiceAmount) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="insertPoint">
<xsl:value-of select="count($parent/totalInvoiceAmount)"/>
</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceTotalsType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>totalInvoiceAmount[1]/</xsl:text>
</xsl:attribute>add totalInvoiceAmount</xsl:element>
</xsl:if> <image alt="occurence:, datatype:eanucc.common.v2_0.DataTypes.Float" src="inform.gif"/>
</td>
</tr>
</xsl:if>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="$parent/totalAmountInvoiceAllowancesCharges">
<xsl:for-each select="$parent/totalAmountInvoiceAllowancesCharges">
<tr>
<td>
<xsl:choose>
<xsl:when test="$editvalue='true'">
<table>
<tr>
<td class="tagName" width="30%">totalAmountInvoiceAllowancesCharges</td>
<td width="70%"> <image alt="occurence:0..1, datatype:eanucc.common.v2_0.DataTypes.Float" src="inform.gif"/>
<xsl:element name="input">
<xsl:attribute name="type">text</xsl:attribute>
<xsl:attribute name="name">inputBox</xsl:attribute>
<xsl:attribute name="value">
<xsl:value-of select="."/>
</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>
</xsl:element>
<xsl:if test="count($parent/totalAmountInvoiceAllowancesCharges) &gt; 0">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">remove</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceTotalsType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>remove </xsl:element>
</xsl:if>
<xsl:if test="1 &gt; count($parent/totalAmountInvoiceAllowancesCharges) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceTotalsType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>add </xsl:element>
</xsl:if>
</td>
</tr>
</table>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates select="."/>
</xsl:otherwise>
</xsl:choose>
</td>
</tr>
</xsl:for-each>
</xsl:when>
<xsl:otherwise>
<xsl:if test="$editvalue='true'">
<tr>
<td>
<xsl:if test="1 &gt; count($parent/totalAmountInvoiceAllowancesCharges) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="insertPoint">
<xsl:value-of select="count($parent/totalInvoiceAmount)+count($parent/totalAmountInvoiceAllowancesCharges)"/>
</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceTotalsType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>totalAmountInvoiceAllowancesCharges[1]/</xsl:text>
</xsl:attribute>add totalAmountInvoiceAllowancesCharges</xsl:element>
</xsl:if> <image alt="occurence:0..1, datatype:eanucc.common.v2_0.DataTypes.Float" src="inform.gif"/>
</td>
</tr>
</xsl:if>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="$parent/totalAmountLineAllowancesCharges">
<xsl:for-each select="$parent/totalAmountLineAllowancesCharges">
<tr>
<td>
<xsl:choose>
<xsl:when test="$editvalue='true'">
<table>
<tr>
<td class="tagName" width="30%">totalAmountLineAllowancesCharges</td>
<td width="70%"> <image alt="occurence:0..1, datatype:eanucc.common.v2_0.DataTypes.Float" src="inform.gif"/>
<xsl:element name="input">
<xsl:attribute name="type">text</xsl:attribute>
<xsl:attribute name="name">inputBox</xsl:attribute>
<xsl:attribute name="value">
<xsl:value-of select="."/>
</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>
</xsl:element>
<xsl:if test="count($parent/totalAmountLineAllowancesCharges) &gt; 0">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">remove</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceTotalsType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>remove </xsl:element>
</xsl:if>
<xsl:if test="1 &gt; count($parent/totalAmountLineAllowancesCharges) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceTotalsType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>add </xsl:element>
</xsl:if>
</td>
</tr>
</table>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates select="."/>
</xsl:otherwise>
</xsl:choose>
</td>
</tr>
</xsl:for-each>
</xsl:when>
<xsl:otherwise>
<xsl:if test="$editvalue='true'">
<tr>
<td>
<xsl:if test="1 &gt; count($parent/totalAmountLineAllowancesCharges) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="insertPoint">
<xsl:value-of select="count($parent/totalInvoiceAmount)+count($parent/totalAmountInvoiceAllowancesCharges)+count($parent/totalAmountLineAllowancesCharges)"/>
</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceTotalsType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>totalAmountLineAllowancesCharges[1]/</xsl:text>
</xsl:attribute>add totalAmountLineAllowancesCharges</xsl:element>
</xsl:if> <image alt="occurence:0..1, datatype:eanucc.common.v2_0.DataTypes.Float" src="inform.gif"/>
</td>
</tr>
</xsl:if>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="$parent/totalLineAmountExclusiveAllowancesCharges">
<xsl:for-each select="$parent/totalLineAmountExclusiveAllowancesCharges">
<tr>
<td>
<xsl:choose>
<xsl:when test="$editvalue='true'">
<table>
<tr>
<td class="tagName" width="30%">totalLineAmountExclusiveAllowancesCharges</td>
<td width="70%"> <image alt="occurence:0..1, datatype:eanucc.common.v2_0.DataTypes.Float" src="inform.gif"/>
<xsl:element name="input">
<xsl:attribute name="type">text</xsl:attribute>
<xsl:attribute name="name">inputBox</xsl:attribute>
<xsl:attribute name="value">
<xsl:value-of select="."/>
</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>
</xsl:element>
<xsl:if test="count($parent/totalLineAmountExclusiveAllowancesCharges) &gt; 0">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">remove</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceTotalsType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>remove </xsl:element>
</xsl:if>
<xsl:if test="1 &gt; count($parent/totalLineAmountExclusiveAllowancesCharges) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceTotalsType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>add </xsl:element>
</xsl:if>
</td>
</tr>
</table>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates select="."/>
</xsl:otherwise>
</xsl:choose>
</td>
</tr>
</xsl:for-each>
</xsl:when>
<xsl:otherwise>
<xsl:if test="$editvalue='true'">
<tr>
<td>
<xsl:if test="1 &gt; count($parent/totalLineAmountExclusiveAllowancesCharges) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="insertPoint">
<xsl:value-of select="count($parent/totalInvoiceAmount)+count($parent/totalAmountInvoiceAllowancesCharges)+count($parent/totalAmountLineAllowancesCharges)+count($parent/totalLineAmountExclusiveAllowancesCharges)"/>
</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceTotalsType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>totalLineAmountExclusiveAllowancesCharges[1]/</xsl:text>
</xsl:attribute>add totalLineAmountExclusiveAllowancesCharges</xsl:element>
</xsl:if> <image alt="occurence:0..1, datatype:eanucc.common.v2_0.DataTypes.Float" src="inform.gif"/>
</td>
</tr>
</xsl:if>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="$parent/totalLineAmountInclusiveAllowancesCharges">
<xsl:for-each select="$parent/totalLineAmountInclusiveAllowancesCharges">
<tr>
<td>
<xsl:choose>
<xsl:when test="$editvalue='true'">
<table>
<tr>
<td class="tagName" width="30%">totalLineAmountInclusiveAllowancesCharges</td>
<td width="70%"> <image alt="occurence:0..1, datatype:eanucc.common.v2_0.DataTypes.Float" src="inform.gif"/>
<xsl:element name="input">
<xsl:attribute name="type">text</xsl:attribute>
<xsl:attribute name="name">inputBox</xsl:attribute>
<xsl:attribute name="value">
<xsl:value-of select="."/>
</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>
</xsl:element>
<xsl:if test="count($parent/totalLineAmountInclusiveAllowancesCharges) &gt; 0">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">remove</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceTotalsType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>remove </xsl:element>
</xsl:if>
<xsl:if test="1 &gt; count($parent/totalLineAmountInclusiveAllowancesCharges) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceTotalsType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>add </xsl:element>
</xsl:if>
</td>
</tr>
</table>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates select="."/>
</xsl:otherwise>
</xsl:choose>
</td>
</tr>
</xsl:for-each>
</xsl:when>
<xsl:otherwise>
<xsl:if test="$editvalue='true'">
<tr>
<td>
<xsl:if test="1 &gt; count($parent/totalLineAmountInclusiveAllowancesCharges) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="insertPoint">
<xsl:value-of select="count($parent/totalInvoiceAmount)+count($parent/totalAmountInvoiceAllowancesCharges)+count($parent/totalAmountLineAllowancesCharges)+count($parent/totalLineAmountExclusiveAllowancesCharges)+count($parent/totalLineAmountInclusiveAllowancesCharges)"/>
</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceTotalsType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>totalLineAmountInclusiveAllowancesCharges[1]/</xsl:text>
</xsl:attribute>add totalLineAmountInclusiveAllowancesCharges</xsl:element>
</xsl:if> <image alt="occurence:0..1, datatype:eanucc.common.v2_0.DataTypes.Float" src="inform.gif"/>
</td>
</tr>
</xsl:if>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="$parent/totalTaxAmount">
<xsl:for-each select="$parent/totalTaxAmount">
<tr>
<td>
<xsl:choose>
<xsl:when test="$editvalue='true'">
<table>
<tr>
<td class="tagName" width="30%">totalTaxAmount</td>
<td width="70%"> <image alt="occurence:0..1, datatype:eanucc.common.v2_0.DataTypes.Float" src="inform.gif"/>
<xsl:element name="input">
<xsl:attribute name="type">text</xsl:attribute>
<xsl:attribute name="name">inputBox</xsl:attribute>
<xsl:attribute name="value">
<xsl:value-of select="."/>
</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>
</xsl:element>
<xsl:if test="count($parent/totalTaxAmount) &gt; 0">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">remove</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceTotalsType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>remove </xsl:element>
</xsl:if>
<xsl:if test="1 &gt; count($parent/totalTaxAmount) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceTotalsType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>add </xsl:element>
</xsl:if>
</td>
</tr>
</table>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates select="."/>
</xsl:otherwise>
</xsl:choose>
</td>
</tr>
</xsl:for-each>
</xsl:when>
<xsl:otherwise>
<xsl:if test="$editvalue='true'">
<tr>
<td>
<xsl:if test="1 &gt; count($parent/totalTaxAmount) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="insertPoint">
<xsl:value-of select="count($parent/totalInvoiceAmount)+count($parent/totalAmountInvoiceAllowancesCharges)+count($parent/totalAmountLineAllowancesCharges)+count($parent/totalLineAmountExclusiveAllowancesCharges)+count($parent/totalLineAmountInclusiveAllowancesCharges)+count($parent/totalTaxAmount)"/>
</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceTotalsType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>totalTaxAmount[1]/</xsl:text>
</xsl:attribute>add totalTaxAmount</xsl:element>
</xsl:if> <image alt="occurence:0..1, datatype:eanucc.common.v2_0.DataTypes.Float" src="inform.gif"/>
</td>
</tr>
</xsl:if>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="$parent/taxSubTotal">
<xsl:for-each select="$parent/taxSubTotal">
<tr>
<td>
<xsl:if test="$editvalue='true'">
<xsl:if test="-1 &gt; count($parent/taxSubTotal) or -1 = -1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceTotalsType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>add </xsl:element>
</xsl:if>
<xsl:if test="count($parent/taxSubTotal) &gt; 0">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">remove</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceTotalsType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>remove </xsl:element>
</xsl:if> <image alt="occurence:0..*, datatype:eanucc.pay.v2_0.InvoiceTaxInformation.InvoiceTaxInformationType" src="inform.gif"/>
</xsl:if>
<xsl:call-template name="pay_invoiceTaxInformation">
<xsl:with-param name="parent" select="."/>
<xsl:with-param name="section" select="$section+1"/>
</xsl:call-template>
</td>
</tr>
</xsl:for-each>
</xsl:when>
<xsl:otherwise>
<xsl:if test="$editvalue='true'">
<tr>
<td>
<xsl:if test="-1 &gt; count($parent/taxSubTotal) or -1 = -1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="insertPoint">
<xsl:value-of select="count($parent/totalInvoiceAmount)+count($parent/totalAmountInvoiceAllowancesCharges)+count($parent/totalAmountLineAllowancesCharges)+count($parent/totalLineAmountExclusiveAllowancesCharges)+count($parent/totalLineAmountInclusiveAllowancesCharges)+count($parent/totalTaxAmount)+count($parent/taxSubTotal)"/>
</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceTotalsType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>taxSubTotal[1]/</xsl:text>
</xsl:attribute>add taxSubTotal</xsl:element>
</xsl:if> <image alt="occurence:0..*, datatype:eanucc.pay.v2_0.InvoiceTaxInformation.InvoiceTaxInformationType" src="inform.gif"/>
</td>
</tr>
</xsl:if>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="$parent/totalInvoiceAmountPayable">
<xsl:for-each select="$parent/totalInvoiceAmountPayable">
<tr>
<td>
<xsl:choose>
<xsl:when test="$editvalue='true'">
<table>
<tr>
<td class="tagName" width="30%">totalInvoiceAmountPayable</td>
<td width="70%"> <image alt="occurence:0..1, datatype:eanucc.common.v2_0.DataTypes.Float" src="inform.gif"/>
<xsl:element name="input">
<xsl:attribute name="type">text</xsl:attribute>
<xsl:attribute name="name">inputBox</xsl:attribute>
<xsl:attribute name="value">
<xsl:value-of select="."/>
</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>
</xsl:element>
<xsl:if test="count($parent/totalInvoiceAmountPayable) &gt; 0">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">remove</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceTotalsType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>remove </xsl:element>
</xsl:if>
<xsl:if test="1 &gt; count($parent/totalInvoiceAmountPayable) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceTotalsType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>add </xsl:element>
</xsl:if>
</td>
</tr>
</table>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates select="."/>
</xsl:otherwise>
</xsl:choose>
</td>
</tr>
</xsl:for-each>
</xsl:when>
<xsl:otherwise>
<xsl:if test="$editvalue='true'">
<tr>
<td>
<xsl:if test="1 &gt; count($parent/totalInvoiceAmountPayable) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="insertPoint">
<xsl:value-of select="count($parent/totalInvoiceAmount)+count($parent/totalAmountInvoiceAllowancesCharges)+count($parent/totalAmountLineAllowancesCharges)+count($parent/totalLineAmountExclusiveAllowancesCharges)+count($parent/totalLineAmountInclusiveAllowancesCharges)+count($parent/totalTaxAmount)+count($parent/taxSubTotal)+count($parent/totalInvoiceAmountPayable)"/>
</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceTotalsType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>totalInvoiceAmountPayable[1]/</xsl:text>
</xsl:attribute>add totalInvoiceAmountPayable</xsl:element>
</xsl:if> <image alt="occurence:0..1, datatype:eanucc.common.v2_0.DataTypes.Float" src="inform.gif"/>
</td>
</tr>
</xsl:if>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="$parent/taxAccountingCurrency">
<xsl:for-each select="$parent/taxAccountingCurrency">
<tr>
<td>
<xsl:if test="$editvalue='true'">
<xsl:if test="1 &gt; count($parent/taxAccountingCurrency) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceTotalsType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>add </xsl:element>
</xsl:if>
<xsl:if test="count($parent/taxAccountingCurrency) &gt; 0">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">remove</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceTotalsType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>remove </xsl:element>
</xsl:if> <image alt="occurence:0..1, datatype:eanucc.common.v2_0.MonetaryAmount.ISO4217_CodeType" src="inform.gif"/>
</xsl:if>
<xsl:call-template name="eanucc_iSO4217_Code">
<xsl:with-param name="parent" select="."/>
<xsl:with-param name="section" select="$section+1"/>
</xsl:call-template>
</td>
</tr>
</xsl:for-each>
</xsl:when>
<xsl:otherwise>
<xsl:if test="$editvalue='true'">
<tr>
<td>
<xsl:if test="1 &gt; count($parent/taxAccountingCurrency) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="insertPoint">
<xsl:value-of select="count($parent/totalInvoiceAmount)+count($parent/totalAmountInvoiceAllowancesCharges)+count($parent/totalAmountLineAllowancesCharges)+count($parent/totalLineAmountExclusiveAllowancesCharges)+count($parent/totalLineAmountInclusiveAllowancesCharges)+count($parent/totalTaxAmount)+count($parent/taxSubTotal)+count($parent/totalInvoiceAmountPayable)+count($parent/taxAccountingCurrency)"/>
</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceTotalsType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>taxAccountingCurrency[1]/</xsl:text>
</xsl:attribute>add taxAccountingCurrency</xsl:element>
</xsl:if> <image alt="occurence:0..1, datatype:eanucc.common.v2_0.MonetaryAmount.ISO4217_CodeType" src="inform.gif"/>
</td>
</tr>
</xsl:if>
</xsl:otherwise>
</xsl:choose>
</table>
</td>
      </tr>			
    </xsl:element>
  </xsl:template>
</xsl:stylesheet>
