<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:eanucc="urn:ean.ucc:2" xmlns:pay="urn:ean.ucc:pay:2" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:template match="pay:invoice">
    <xsl:param name="parent" select="."/>        
    <xsl:variable name="section" select="'1'"/>
<input name="xmltemplate" type="hidden" value="3_XML_DEVELOPMENT/3_XMLTEMPLATE/ean.ucc/pay/2.0/Invoice.xml.template"/>
<xsl:element name="table">
      <xsl:attribute name="class">section<xsl:value-of select="$section"/>
</xsl:attribute>
      <tr>
        <td colspan="2">
          <table>
            <tr>
              <xsl:if test="string-length($parent) != 0">
              <td class="tagName" width="40%">
<xsl:for-each select="$parent">
<xsl:value-of select="name()"/>
</xsl:for-each>
</td>
              </xsl:if>
              <xsl:if test="string-length($parent) = 0">
              <td class="tagName" width="60%">
<xsl:value-of select="name()"/>
</td>
              </xsl:if>
              <td align="right" class="typeName" width="60%">
<replaceTypeName/>
</td>
            </tr>
          </table>
        </td>
      </tr>
      <tr>
        <td class="indent"/>
        <td>

        <table cellpadding="3" cellspacing="3">
<tr>
<td class="attributeName">lastUpdateDate</td>
<td class="attributeValue">
<xsl:choose>
<xsl:when test="$editvalue='true'">
<xsl:if test="@lastUpdateDate">
<xsl:element name="input">
<xsl:attribute name="type">text</xsl:attribute>
<xsl:attribute name="name">inputBox</xsl:attribute>
<xsl:attribute name="value">
<xsl:value-of select="@lastUpdateDate"/>
</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>@lastUpdateDate</xsl:text>
</xsl:attribute>
</xsl:element>
<xsl:if test="count($parent/@lastUpdateDate) &gt; 0">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">remove</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.common.v2_0.Document.DocumentType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>@lastUpdateDate</xsl:text>
</xsl:attribute>remove </xsl:element>
</xsl:if>
</xsl:if>
<xsl:if test="not(@lastUpdateDate)">
<xsl:if test="1 &gt; count($parent/@lastUpdateDate) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.common.v2_0.Document.DocumentType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>@lastUpdateDate</xsl:text>
</xsl:attribute>add </xsl:element>
</xsl:if>
</xsl:if> <image alt="occurence:0..1, datatype:eanucc.common.v2_0.DataTypes.Date" src="inform.gif"/>
</xsl:when>
<xsl:otherwise>
<xsl:value-of select="@lastUpdateDate"/>
</xsl:otherwise>
</xsl:choose>
</td>
</tr>
<tr>
<td class="attributeName">creationDateTime</td>
<td class="attributeValue">
<xsl:choose>
<xsl:when test="$editvalue='true'">
<xsl:if test="@creationDateTime">
<xsl:element name="input">
<xsl:attribute name="type">text</xsl:attribute>
<xsl:attribute name="name">inputBox</xsl:attribute>
<xsl:attribute name="value">
<xsl:value-of select="@creationDateTime"/>
</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>@creationDateTime</xsl:text>
</xsl:attribute>
</xsl:element>
<xsl:if test="count($parent/@creationDateTime) &gt; 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">remove</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.common.v2_0.Document.DocumentType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>@creationDateTime</xsl:text>
</xsl:attribute>remove </xsl:element>
</xsl:if>
</xsl:if>
<xsl:if test="not(@creationDateTime)">
<xsl:if test="1 &gt; count($parent/@creationDateTime) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.common.v2_0.Document.DocumentType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>@creationDateTime</xsl:text>
</xsl:attribute>add </xsl:element>
</xsl:if>
</xsl:if> <image alt="occurence:1, datatype:eanucc.common.v2_0.DataTypes.DateTime" src="inform.gif"/>
</xsl:when>
<xsl:otherwise>
<xsl:value-of select="@creationDateTime"/>
</xsl:otherwise>
</xsl:choose>
</td>
</tr>
<tr>
<td class="attributeName">documentStatus</td>
<td class="attributeValue">
<xsl:choose>
<xsl:when test="$editvalue='true'">
<xsl:if test="@documentStatus">
<xsl:element name="select">
<xsl:attribute name="class">Select</xsl:attribute>
<xsl:attribute name="name">inputBox</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>@documentStatus</xsl:text>
</xsl:attribute>
<xsl:element name="option">
<xsl:attribute name="value">REPLACE</xsl:attribute>
<xsl:if test="@documentStatus='REPLACE'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>REPLACE</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">ORIGINAL</xsl:attribute>
<xsl:if test="@documentStatus='ORIGINAL'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>ORIGINAL</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">COPY</xsl:attribute>
<xsl:if test="@documentStatus='COPY'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>COPY</xsl:element>
</xsl:element>
<xsl:if test="count($parent/@documentStatus) &gt; 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">remove</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.common.v2_0.Document.DocumentType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>@documentStatus</xsl:text>
</xsl:attribute>remove </xsl:element>
</xsl:if>
</xsl:if>
<xsl:if test="not(@documentStatus)">
<xsl:if test="1 &gt; count($parent/@documentStatus) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.common.v2_0.Document.DocumentType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>@documentStatus</xsl:text>
</xsl:attribute>add </xsl:element>
</xsl:if>
</xsl:if> <image alt="occurence:1, datatype:eanucc.common.v2_0.DocumentStatusList.DocumentStatusListType" src="inform.gif"/>
</xsl:when>
<xsl:otherwise>
<xsl:value-of select="@documentStatus"/>
</xsl:otherwise>
</xsl:choose>
</td>
</tr>
</table>
</td>
      </tr>
      <tr>
        <td class="indent"/>
        <td>

        <table cellpadding="3" cellspacing="3">
<xsl:choose>
<xsl:when test="invoiceIdentification">
<xsl:for-each select="invoiceIdentification">
<tr>
<td>
<xsl:if test="$editvalue='true'">
<xsl:if test="1 &gt; count($parent/invoiceIdentification) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>add </xsl:element>
</xsl:if>
<xsl:if test="count($parent/invoiceIdentification) &gt; 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">remove</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>remove </xsl:element>
</xsl:if> <image alt="occurence:, datatype:eanucc.common.v2_0.EntityIdentification.EntityIdentificationType" src="inform.gif"/>
</xsl:if>
<xsl:call-template name="eanucc_entityIdentification">
<xsl:with-param name="parent" select="."/>
<xsl:with-param name="section" select="$section+1"/>
</xsl:call-template>
</td>
</tr>
</xsl:for-each>
</xsl:when>
<xsl:otherwise>
<xsl:if test="$editvalue='true'">
<tr>
<td>
<xsl:if test="1 &gt; count($parent/invoiceIdentification) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="insertPoint">
<xsl:value-of select="count(contentVersion)+count(documentStructureVersion)+count(invoiceIdentification)"/>
</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>invoiceIdentification[1]/</xsl:text>
</xsl:attribute>add invoiceIdentification</xsl:element>
</xsl:if> <image alt="occurence:, datatype:eanucc.common.v2_0.EntityIdentification.EntityIdentificationType" src="inform.gif"/>
</td>
</tr>
</xsl:if>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="invoiceCurrency">
<xsl:for-each select="invoiceCurrency">
<tr>
<td>
<xsl:if test="$editvalue='true'">
<xsl:if test="1 &gt; count($parent/invoiceCurrency) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>add </xsl:element>
</xsl:if>
<xsl:if test="count($parent/invoiceCurrency) &gt; 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">remove</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>remove </xsl:element>
</xsl:if> <image alt="occurence:, datatype:eanucc.common.v2_0.MonetaryAmount.ISO4217_CodeType" src="inform.gif"/>
</xsl:if>
<xsl:call-template name="eanucc_iSO4217_Code">
<xsl:with-param name="parent" select="."/>
<xsl:with-param name="section" select="$section+1"/>
</xsl:call-template>
</td>
</tr>
</xsl:for-each>
</xsl:when>
<xsl:otherwise>
<xsl:if test="$editvalue='true'">
<tr>
<td>
<xsl:if test="1 &gt; count($parent/invoiceCurrency) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="insertPoint">
<xsl:value-of select="count(contentVersion)+count(documentStructureVersion)+count(invoiceIdentification)+count(invoiceCurrency)"/>
</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>invoiceCurrency[1]/</xsl:text>
</xsl:attribute>add invoiceCurrency</xsl:element>
</xsl:if> <image alt="occurence:, datatype:eanucc.common.v2_0.MonetaryAmount.ISO4217_CodeType" src="inform.gif"/>
</td>
</tr>
</xsl:if>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="invoiceType">
<xsl:for-each select="invoiceType">
<tr>
<td>
<xsl:choose>
<xsl:when test="$editvalue='true'">
<table>
<tr>
<td class="tagName" width="30%">invoiceType</td>
<td width="70%"> <image alt="occurence:, datatype:eanucc.pay.v2_0.InvoiceTypeCodeList.InvoiceTypeCodeListType" src="inform.gif"/>
<xsl:element name="select">
<xsl:attribute name="class">Select</xsl:attribute>
<xsl:attribute name="name">inputBox</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>
<xsl:element name="option">
<xsl:attribute name="value">CORRECTED_INVOICE</xsl:attribute>
<xsl:if test=".='CORRECTED_INVOICE'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>CORRECTED_INVOICE</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">SELF_BILLED_INVOICE</xsl:attribute>
<xsl:if test=".='SELF_BILLED_INVOICE'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>SELF_BILLED_INVOICE</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">INVOICE</xsl:attribute>
<xsl:if test=".='INVOICE'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>INVOICE</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">CREDIT_NOTE</xsl:attribute>
<xsl:if test=".='CREDIT_NOTE'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>CREDIT_NOTE</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">DEBIT_NOTE</xsl:attribute>
<xsl:if test=".='DEBIT_NOTE'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>DEBIT_NOTE</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">AGREED_TERMS</xsl:attribute>
<xsl:if test=".='AGREED_TERMS'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>AGREED_TERMS</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">PRO_FORMA_INVOICE</xsl:attribute>
<xsl:if test=".='PRO_FORMA_INVOICE'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>PRO_FORMA_INVOICE</xsl:element>
</xsl:element>
<xsl:if test="count($parent/invoiceType) &gt; 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">remove</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>remove </xsl:element>
</xsl:if>
<xsl:if test="1 &gt; count($parent/invoiceType) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>add </xsl:element>
</xsl:if>
</td>
</tr>
</table>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates select="."/>
</xsl:otherwise>
</xsl:choose>
</td>
</tr>
</xsl:for-each>
</xsl:when>
<xsl:otherwise>
<xsl:if test="$editvalue='true'">
<tr>
<td>
<xsl:if test="1 &gt; count($parent/invoiceType) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="insertPoint">
<xsl:value-of select="count(contentVersion)+count(documentStructureVersion)+count(invoiceIdentification)+count(invoiceCurrency)+count(invoiceType)"/>
</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>invoiceType[1]/</xsl:text>
</xsl:attribute>add invoiceType</xsl:element>
</xsl:if> <image alt="occurence:, datatype:eanucc.pay.v2_0.InvoiceTypeCodeList.InvoiceTypeCodeListType" src="inform.gif"/>
</td>
</tr>
</xsl:if>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="countryOfSupplyOfGoods">
<xsl:for-each select="countryOfSupplyOfGoods">
<tr>
<td>
<xsl:if test="$editvalue='true'">
<xsl:if test="1 &gt; count($parent/countryOfSupplyOfGoods) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>add </xsl:element>
</xsl:if>
<xsl:if test="count($parent/countryOfSupplyOfGoods) &gt; 0">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">remove</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>remove </xsl:element>
</xsl:if> <image alt="occurence:0..1, datatype:eanucc.common.v2_0.Country.ISO3166_1CodeType" src="inform.gif"/>
</xsl:if>
<xsl:call-template name="eanucc_iSO3166_1Code">
<xsl:with-param name="parent" select="."/>
<xsl:with-param name="section" select="$section+1"/>
</xsl:call-template>
</td>
</tr>
</xsl:for-each>
</xsl:when>
<xsl:otherwise>
<xsl:if test="$editvalue='true'">
<tr>
<td>
<xsl:if test="1 &gt; count($parent/countryOfSupplyOfGoods) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="insertPoint">
<xsl:value-of select="count(contentVersion)+count(documentStructureVersion)+count(invoiceIdentification)+count(invoiceCurrency)+count(invoiceType)+count(countryOfSupplyOfGoods)"/>
</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>countryOfSupplyOfGoods[1]/</xsl:text>
</xsl:attribute>add countryOfSupplyOfGoods</xsl:element>
</xsl:if> <image alt="occurence:0..1, datatype:eanucc.common.v2_0.Country.ISO3166_1CodeType" src="inform.gif"/>
</td>
</tr>
</xsl:if>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="shipTo">
<xsl:for-each select="shipTo">
<tr>
<td>
<xsl:if test="$editvalue='true'">
<xsl:if test="1 &gt; count($parent/shipTo) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>add </xsl:element>
</xsl:if>
<xsl:if test="count($parent/shipTo) &gt; 0">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">remove</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>remove </xsl:element>
</xsl:if> <image alt="occurence:0..1, datatype:eanucc.common.v2_0.PartyIdentification.PartyIdentificationType" src="inform.gif"/>
</xsl:if>
<xsl:call-template name="eanucc_partyIdentification">
<xsl:with-param name="parent" select="."/>
<xsl:with-param name="section" select="$section+1"/>
</xsl:call-template>
</td>
</tr>
</xsl:for-each>
</xsl:when>
<xsl:otherwise>
<xsl:if test="$editvalue='true'">
<tr>
<td>
<xsl:if test="1 &gt; count($parent/shipTo) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="insertPoint">
<xsl:value-of select="count(contentVersion)+count(documentStructureVersion)+count(invoiceIdentification)+count(invoiceCurrency)+count(invoiceType)+count(countryOfSupplyOfGoods)+count(shipTo)"/>
</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>shipTo[1]/</xsl:text>
</xsl:attribute>add shipTo</xsl:element>
</xsl:if> <image alt="occurence:0..1, datatype:eanucc.common.v2_0.PartyIdentification.PartyIdentificationType" src="inform.gif"/>
</td>
</tr>
</xsl:if>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="payer">
<xsl:for-each select="payer">
<tr>
<td>
<xsl:if test="$editvalue='true'">
<xsl:if test="1 &gt; count($parent/payer) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>add </xsl:element>
</xsl:if>
<xsl:if test="count($parent/payer) &gt; 0">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">remove</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>remove </xsl:element>
</xsl:if> <image alt="occurence:0..1, datatype:eanucc.pay.v2_0.InvoiceParty.InvoicePartyType" src="inform.gif"/>
</xsl:if>
<xsl:call-template name="pay_invoiceParty">
<xsl:with-param name="parent" select="."/>
<xsl:with-param name="section" select="$section+1"/>
</xsl:call-template>
</td>
</tr>
</xsl:for-each>
</xsl:when>
<xsl:otherwise>
<xsl:if test="$editvalue='true'">
<tr>
<td>
<xsl:if test="1 &gt; count($parent/payer) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="insertPoint">
<xsl:value-of select="count(contentVersion)+count(documentStructureVersion)+count(invoiceIdentification)+count(invoiceCurrency)+count(invoiceType)+count(countryOfSupplyOfGoods)+count(shipTo)+count(payer)"/>
</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>payer[1]/</xsl:text>
</xsl:attribute>add payer</xsl:element>
</xsl:if> <image alt="occurence:0..1, datatype:eanucc.pay.v2_0.InvoiceParty.InvoicePartyType" src="inform.gif"/>
</td>
</tr>
</xsl:if>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="payee">
<xsl:for-each select="payee">
<tr>
<td>
<xsl:if test="$editvalue='true'">
<xsl:if test="1 &gt; count($parent/payee) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>add </xsl:element>
</xsl:if>
<xsl:if test="count($parent/payee) &gt; 0">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">remove</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>remove </xsl:element>
</xsl:if> <image alt="occurence:0..1, datatype:eanucc.pay.v2_0.InvoiceParty.InvoicePartyType" src="inform.gif"/>
</xsl:if>
<xsl:call-template name="pay_invoiceParty">
<xsl:with-param name="parent" select="."/>
<xsl:with-param name="section" select="$section+1"/>
</xsl:call-template>
</td>
</tr>
</xsl:for-each>
</xsl:when>
<xsl:otherwise>
<xsl:if test="$editvalue='true'">
<tr>
<td>
<xsl:if test="1 &gt; count($parent/payee) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="insertPoint">
<xsl:value-of select="count(contentVersion)+count(documentStructureVersion)+count(invoiceIdentification)+count(invoiceCurrency)+count(invoiceType)+count(countryOfSupplyOfGoods)+count(shipTo)+count(payer)+count(payee)"/>
</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>payee[1]/</xsl:text>
</xsl:attribute>add payee</xsl:element>
</xsl:if> <image alt="occurence:0..1, datatype:eanucc.pay.v2_0.InvoiceParty.InvoicePartyType" src="inform.gif"/>
</td>
</tr>
</xsl:if>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="remitTo">
<xsl:for-each select="remitTo">
<tr>
<td>
<xsl:if test="$editvalue='true'">
<xsl:if test="1 &gt; count($parent/remitTo) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>add </xsl:element>
</xsl:if>
<xsl:if test="count($parent/remitTo) &gt; 0">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">remove</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>remove </xsl:element>
</xsl:if> <image alt="occurence:0..1, datatype:eanucc.pay.v2_0.InvoiceParty.InvoicePartyType" src="inform.gif"/>
</xsl:if>
<xsl:call-template name="pay_invoiceParty">
<xsl:with-param name="parent" select="."/>
<xsl:with-param name="section" select="$section+1"/>
</xsl:call-template>
</td>
</tr>
</xsl:for-each>
</xsl:when>
<xsl:otherwise>
<xsl:if test="$editvalue='true'">
<tr>
<td>
<xsl:if test="1 &gt; count($parent/remitTo) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="insertPoint">
<xsl:value-of select="count(contentVersion)+count(documentStructureVersion)+count(invoiceIdentification)+count(invoiceCurrency)+count(invoiceType)+count(countryOfSupplyOfGoods)+count(shipTo)+count(payer)+count(payee)+count(remitTo)"/>
</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>remitTo[1]/</xsl:text>
</xsl:attribute>add remitTo</xsl:element>
</xsl:if> <image alt="occurence:0..1, datatype:eanucc.pay.v2_0.InvoiceParty.InvoicePartyType" src="inform.gif"/>
</td>
</tr>
</xsl:if>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="taxRepresentative">
<xsl:for-each select="taxRepresentative">
<tr>
<td>
<xsl:if test="$editvalue='true'">
<xsl:if test="1 &gt; count($parent/taxRepresentative) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>add </xsl:element>
</xsl:if>
<xsl:if test="count($parent/taxRepresentative) &gt; 0">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">remove</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>remove </xsl:element>
</xsl:if> <image alt="occurence:0..1, datatype:eanucc.pay.v2_0.InvoiceParty.InvoicePartyType" src="inform.gif"/>
</xsl:if>
<xsl:call-template name="pay_invoiceParty">
<xsl:with-param name="parent" select="."/>
<xsl:with-param name="section" select="$section+1"/>
</xsl:call-template>
</td>
</tr>
</xsl:for-each>
</xsl:when>
<xsl:otherwise>
<xsl:if test="$editvalue='true'">
<tr>
<td>
<xsl:if test="1 &gt; count($parent/taxRepresentative) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="insertPoint">
<xsl:value-of select="count(contentVersion)+count(documentStructureVersion)+count(invoiceIdentification)+count(invoiceCurrency)+count(invoiceType)+count(countryOfSupplyOfGoods)+count(shipTo)+count(payer)+count(payee)+count(remitTo)+count(taxRepresentative)"/>
</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>taxRepresentative[1]/</xsl:text>
</xsl:attribute>add taxRepresentative</xsl:element>
</xsl:if> <image alt="occurence:0..1, datatype:eanucc.pay.v2_0.InvoiceParty.InvoicePartyType" src="inform.gif"/>
</td>
</tr>
</xsl:if>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="buyer">
<xsl:for-each select="buyer">
<tr>
<td>
<xsl:if test="$editvalue='true'">
<xsl:if test="1 &gt; count($parent/buyer) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>add </xsl:element>
</xsl:if>
<xsl:if test="count($parent/buyer) &gt; 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">remove</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>remove </xsl:element>
</xsl:if> <image alt="occurence:, datatype:eanucc.pay.v2_0.InvoiceParty.InvoicePartyType" src="inform.gif"/>
</xsl:if>
<xsl:call-template name="pay_invoiceParty">
<xsl:with-param name="parent" select="."/>
<xsl:with-param name="section" select="$section+1"/>
</xsl:call-template>
</td>
</tr>
</xsl:for-each>
</xsl:when>
<xsl:otherwise>
<xsl:if test="$editvalue='true'">
<tr>
<td>
<xsl:if test="1 &gt; count($parent/buyer) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="insertPoint">
<xsl:value-of select="count(contentVersion)+count(documentStructureVersion)+count(invoiceIdentification)+count(invoiceCurrency)+count(invoiceType)+count(countryOfSupplyOfGoods)+count(shipTo)+count(payer)+count(payee)+count(remitTo)+count(taxRepresentative)+count(buyer)"/>
</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>buyer[1]/</xsl:text>
</xsl:attribute>add buyer</xsl:element>
</xsl:if> <image alt="occurence:, datatype:eanucc.pay.v2_0.InvoiceParty.InvoicePartyType" src="inform.gif"/>
</td>
</tr>
</xsl:if>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="seller">
<xsl:for-each select="seller">
<tr>
<td>
<xsl:if test="$editvalue='true'">
<xsl:if test="1 &gt; count($parent/seller) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>add </xsl:element>
</xsl:if>
<xsl:if test="count($parent/seller) &gt; 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">remove</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>remove </xsl:element>
</xsl:if> <image alt="occurence:, datatype:eanucc.pay.v2_0.InvoiceParty.InvoicePartyType" src="inform.gif"/>
</xsl:if>
<xsl:call-template name="pay_invoiceParty">
<xsl:with-param name="parent" select="."/>
<xsl:with-param name="section" select="$section+1"/>
</xsl:call-template>
</td>
</tr>
</xsl:for-each>
</xsl:when>
<xsl:otherwise>
<xsl:if test="$editvalue='true'">
<tr>
<td>
<xsl:if test="1 &gt; count($parent/seller) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="insertPoint">
<xsl:value-of select="count(contentVersion)+count(documentStructureVersion)+count(invoiceIdentification)+count(invoiceCurrency)+count(invoiceType)+count(countryOfSupplyOfGoods)+count(shipTo)+count(payer)+count(payee)+count(remitTo)+count(taxRepresentative)+count(buyer)+count(seller)"/>
</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>seller[1]/</xsl:text>
</xsl:attribute>add seller</xsl:element>
</xsl:if> <image alt="occurence:, datatype:eanucc.pay.v2_0.InvoiceParty.InvoicePartyType" src="inform.gif"/>
</td>
</tr>
</xsl:if>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="invoicingPeriod">
<xsl:for-each select="invoicingPeriod">
<tr>
<td>
<xsl:if test="$editvalue='true'">
<xsl:if test="1 &gt; count($parent/invoicingPeriod) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>add </xsl:element>
</xsl:if>
<xsl:if test="count($parent/invoicingPeriod) &gt; 0">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">remove</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>remove </xsl:element>
</xsl:if> <image alt="occurence:0..1, datatype:eanucc.common.v2_0.TimePeriod.TimePeriodType" src="inform.gif"/>
</xsl:if>
<xsl:call-template name="eanucc_timePeriod">
<xsl:with-param name="parent" select="."/>
<xsl:with-param name="section" select="$section+1"/>
</xsl:call-template>
</td>
</tr>
</xsl:for-each>
</xsl:when>
<xsl:otherwise>
<xsl:if test="$editvalue='true'">
<tr>
<td>
<xsl:if test="1 &gt; count($parent/invoicingPeriod) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="insertPoint">
<xsl:value-of select="count(contentVersion)+count(documentStructureVersion)+count(invoiceIdentification)+count(invoiceCurrency)+count(invoiceType)+count(countryOfSupplyOfGoods)+count(shipTo)+count(payer)+count(payee)+count(remitTo)+count(taxRepresentative)+count(buyer)+count(seller)+count(invoicingPeriod)"/>
</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>invoicingPeriod[1]/</xsl:text>
</xsl:attribute>add invoicingPeriod</xsl:element>
</xsl:if> <image alt="occurence:0..1, datatype:eanucc.common.v2_0.TimePeriod.TimePeriodType" src="inform.gif"/>
</td>
</tr>
</xsl:if>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="invoiceLineItem">
<xsl:for-each select="invoiceLineItem">
<tr>
<td>
<xsl:if test="$editvalue='true'">
<xsl:if test="-1 &gt; count($parent/invoiceLineItem) or -1 = -1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>add </xsl:element>
</xsl:if>
<xsl:if test="count($parent/invoiceLineItem) &gt; 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">remove</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>remove </xsl:element>
</xsl:if> <image alt="occurence:1..*, datatype:eanucc.pay.v2_0.Invoice.InvoiceLineItemType" src="inform.gif"/>
</xsl:if>
<xsl:call-template name="pay_invoiceLineItem">
<xsl:with-param name="parent" select="."/>
<xsl:with-param name="section" select="$section+1"/>
</xsl:call-template>
</td>
</tr>
</xsl:for-each>
</xsl:when>
<xsl:otherwise>
<xsl:if test="$editvalue='true'">
<tr>
<td>
<xsl:if test="-1 &gt; count($parent/invoiceLineItem) or -1 = -1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="insertPoint">
<xsl:value-of select="count(contentVersion)+count(documentStructureVersion)+count(invoiceIdentification)+count(invoiceCurrency)+count(invoiceType)+count(countryOfSupplyOfGoods)+count(shipTo)+count(payer)+count(payee)+count(remitTo)+count(taxRepresentative)+count(buyer)+count(seller)+count(invoicingPeriod)+count(invoiceLineItem)"/>
</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>invoiceLineItem[1]/</xsl:text>
</xsl:attribute>add invoiceLineItem</xsl:element>
</xsl:if> <image alt="occurence:1..*, datatype:eanucc.pay.v2_0.Invoice.InvoiceLineItemType" src="inform.gif"/>
</td>
</tr>
</xsl:if>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="invoiceTotals">
<xsl:for-each select="invoiceTotals">
<tr>
<td>
<xsl:if test="$editvalue='true'">
<xsl:if test="1 &gt; count($parent/invoiceTotals) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>add </xsl:element>
</xsl:if>
<xsl:if test="count($parent/invoiceTotals) &gt; 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">remove</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>remove </xsl:element>
</xsl:if> <image alt="occurence:, datatype:eanucc.pay.v2_0.Invoice.InvoiceTotalsType" src="inform.gif"/>
</xsl:if>
<xsl:call-template name="pay_invoiceTotals">
<xsl:with-param name="parent" select="."/>
<xsl:with-param name="section" select="$section+1"/>
</xsl:call-template>
</td>
</tr>
</xsl:for-each>
</xsl:when>
<xsl:otherwise>
<xsl:if test="$editvalue='true'">
<tr>
<td>
<xsl:if test="1 &gt; count($parent/invoiceTotals) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="insertPoint">
<xsl:value-of select="count(contentVersion)+count(documentStructureVersion)+count(invoiceIdentification)+count(invoiceCurrency)+count(invoiceType)+count(countryOfSupplyOfGoods)+count(shipTo)+count(payer)+count(payee)+count(remitTo)+count(taxRepresentative)+count(buyer)+count(seller)+count(invoicingPeriod)+count(invoiceLineItem)+count(invoiceTotals)"/>
</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>invoiceTotals[1]/</xsl:text>
</xsl:attribute>add invoiceTotals</xsl:element>
</xsl:if> <image alt="occurence:, datatype:eanucc.pay.v2_0.Invoice.InvoiceTotalsType" src="inform.gif"/>
</td>
</tr>
</xsl:if>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="invoiceAllowanceCharge">
<xsl:for-each select="invoiceAllowanceCharge">
<tr>
<td>
<xsl:if test="$editvalue='true'">
<xsl:if test="-1 &gt; count($parent/invoiceAllowanceCharge) or -1 = -1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>add </xsl:element>
</xsl:if>
<xsl:if test="count($parent/invoiceAllowanceCharge) &gt; 0">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">remove</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>remove </xsl:element>
</xsl:if> <image alt="occurence:0..*, datatype:eanucc.pay.v2_0.Invoice.InvoiceAllowanceChargeType" src="inform.gif"/>
</xsl:if>
<xsl:call-template name="pay_invoiceAllowanceCharge">
<xsl:with-param name="parent" select="."/>
<xsl:with-param name="section" select="$section+1"/>
</xsl:call-template>
</td>
</tr>
</xsl:for-each>
</xsl:when>
<xsl:otherwise>
<xsl:if test="$editvalue='true'">
<tr>
<td>
<xsl:if test="-1 &gt; count($parent/invoiceAllowanceCharge) or -1 = -1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="insertPoint">
<xsl:value-of select="count(contentVersion)+count(documentStructureVersion)+count(invoiceIdentification)+count(invoiceCurrency)+count(invoiceType)+count(countryOfSupplyOfGoods)+count(shipTo)+count(payer)+count(payee)+count(remitTo)+count(taxRepresentative)+count(buyer)+count(seller)+count(invoicingPeriod)+count(invoiceLineItem)+count(invoiceTotals)+count(invoiceAllowanceCharge)"/>
</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>invoiceAllowanceCharge[1]/</xsl:text>
</xsl:attribute>add invoiceAllowanceCharge</xsl:element>
</xsl:if> <image alt="occurence:0..*, datatype:eanucc.pay.v2_0.Invoice.InvoiceAllowanceChargeType" src="inform.gif"/>
</td>
</tr>
</xsl:if>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="paymentTerms">
<xsl:for-each select="paymentTerms">
<tr>
<td>
<xsl:if test="$editvalue='true'">
<xsl:if test="-1 &gt; count($parent/paymentTerms) or -1 = -1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>add </xsl:element>
</xsl:if>
<xsl:if test="count($parent/paymentTerms) &gt; 0">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">remove</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>remove </xsl:element>
</xsl:if> <image alt="occurence:0..*, datatype:eanucc.common.v2_0.PaymentTerms.PaymentTermsType" src="inform.gif"/>
</xsl:if>
<xsl:call-template name="eanucc_paymentTerms">
<xsl:with-param name="parent" select="."/>
<xsl:with-param name="section" select="$section+1"/>
</xsl:call-template>
</td>
</tr>
</xsl:for-each>
</xsl:when>
<xsl:otherwise>
<xsl:if test="$editvalue='true'">
<tr>
<td>
<xsl:if test="-1 &gt; count($parent/paymentTerms) or -1 = -1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="insertPoint">
<xsl:value-of select="count(contentVersion)+count(documentStructureVersion)+count(invoiceIdentification)+count(invoiceCurrency)+count(invoiceType)+count(countryOfSupplyOfGoods)+count(shipTo)+count(payer)+count(payee)+count(remitTo)+count(taxRepresentative)+count(buyer)+count(seller)+count(invoicingPeriod)+count(invoiceLineItem)+count(invoiceTotals)+count(invoiceAllowanceCharge)+count(paymentTerms)"/>
</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>paymentTerms[1]/</xsl:text>
</xsl:attribute>add paymentTerms</xsl:element>
</xsl:if> <image alt="occurence:0..*, datatype:eanucc.common.v2_0.PaymentTerms.PaymentTermsType" src="inform.gif"/>
</td>
</tr>
</xsl:if>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="taxCurrencyInformation">
<xsl:for-each select="taxCurrencyInformation">
<tr>
<td>
<xsl:if test="$editvalue='true'">
<xsl:if test="-1 &gt; count($parent/taxCurrencyInformation) or -1 = -1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>add </xsl:element>
</xsl:if>
<xsl:if test="count($parent/taxCurrencyInformation) &gt; 0">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">remove</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>remove </xsl:element>
</xsl:if> <image alt="occurence:0..*, datatype:eanucc.common.v2_0.CurrencyExchangeRateInformation.CurrencyExchangeRateInformationType" src="inform.gif"/>
</xsl:if>
<xsl:call-template name="eanucc_currencyExchangeRateInformation">
<xsl:with-param name="parent" select="."/>
<xsl:with-param name="section" select="$section+1"/>
</xsl:call-template>
</td>
</tr>
</xsl:for-each>
</xsl:when>
<xsl:otherwise>
<xsl:if test="$editvalue='true'">
<tr>
<td>
<xsl:if test="-1 &gt; count($parent/taxCurrencyInformation) or -1 = -1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="insertPoint">
<xsl:value-of select="count(contentVersion)+count(documentStructureVersion)+count(invoiceIdentification)+count(invoiceCurrency)+count(invoiceType)+count(countryOfSupplyOfGoods)+count(shipTo)+count(payer)+count(payee)+count(remitTo)+count(taxRepresentative)+count(buyer)+count(seller)+count(invoicingPeriod)+count(invoiceLineItem)+count(invoiceTotals)+count(invoiceAllowanceCharge)+count(paymentTerms)+count(taxCurrencyInformation)"/>
</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>taxCurrencyInformation[1]/</xsl:text>
</xsl:attribute>add taxCurrencyInformation</xsl:element>
</xsl:if> <image alt="occurence:0..*, datatype:eanucc.common.v2_0.CurrencyExchangeRateInformation.CurrencyExchangeRateInformationType" src="inform.gif"/>
</td>
</tr>
</xsl:if>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="digitalSignature">
<xsl:for-each select="digitalSignature">
<tr>
<td>
<xsl:if test="$editvalue='true'">
<xsl:if test="1 &gt; count($parent/digitalSignature) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>add </xsl:element>
</xsl:if>
<xsl:if test="count($parent/digitalSignature) &gt; 0">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">remove</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>remove </xsl:element>
</xsl:if> <image alt="occurence:0..1, datatype:eanucc.common.v2_0.DigitalSignature.DigitalSignatureType" src="inform.gif"/>
</xsl:if>
<xsl:call-template name="eanucc_digitalSignature">
<xsl:with-param name="parent" select="."/>
<xsl:with-param name="section" select="$section+1"/>
</xsl:call-template>
</td>
</tr>
</xsl:for-each>
</xsl:when>
<xsl:otherwise>
<xsl:if test="$editvalue='true'">
<tr>
<td>
<xsl:if test="1 &gt; count($parent/digitalSignature) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="insertPoint">
<xsl:value-of select="count(contentVersion)+count(documentStructureVersion)+count(invoiceIdentification)+count(invoiceCurrency)+count(invoiceType)+count(countryOfSupplyOfGoods)+count(shipTo)+count(payer)+count(payee)+count(remitTo)+count(taxRepresentative)+count(buyer)+count(seller)+count(invoicingPeriod)+count(invoiceLineItem)+count(invoiceTotals)+count(invoiceAllowanceCharge)+count(paymentTerms)+count(taxCurrencyInformation)+count(digitalSignature)"/>
</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>digitalSignature[1]/</xsl:text>
</xsl:attribute>add digitalSignature</xsl:element>
</xsl:if> <image alt="occurence:0..1, datatype:eanucc.common.v2_0.DigitalSignature.DigitalSignatureType" src="inform.gif"/>
</td>
</tr>
</xsl:if>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="contentVersion">
<xsl:for-each select="contentVersion">
<tr>
<td>
<xsl:if test="$editvalue='true'">
<xsl:if test="1 &gt; count($parent/contentVersion) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.common.v2_0.Document.DocumentType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>add </xsl:element>
</xsl:if>
<xsl:if test="count($parent/contentVersion) &gt; 0">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">remove</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.common.v2_0.Document.DocumentType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>remove </xsl:element>
</xsl:if> <image alt="occurence:0..1, datatype:eanucc.common.v2_0.Document.VersionType" src="inform.gif"/>
</xsl:if>
<xsl:call-template name="eanucc_version">
<xsl:with-param name="parent" select="."/>
<xsl:with-param name="section" select="$section+1"/>
</xsl:call-template>
</td>
</tr>
</xsl:for-each>
</xsl:when>
<xsl:otherwise>
<xsl:if test="$editvalue='true'">
<tr>
<td>
<xsl:if test="1 &gt; count($parent/contentVersion) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="insertPoint">
<xsl:value-of select="count(contentVersion)"/>
</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.common.v2_0.Document.DocumentType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>contentVersion[1]/</xsl:text>
</xsl:attribute>add contentVersion</xsl:element>
</xsl:if> <image alt="occurence:0..1, datatype:eanucc.common.v2_0.Document.VersionType" src="inform.gif"/>
</td>
</tr>
</xsl:if>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="documentStructureVersion">
<xsl:for-each select="documentStructureVersion">
<tr>
<td>
<xsl:if test="$editvalue='true'">
<xsl:if test="1 &gt; count($parent/documentStructureVersion) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.common.v2_0.Document.DocumentType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>add </xsl:element>
</xsl:if>
<xsl:if test="count($parent/documentStructureVersion) &gt; 0">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">remove</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.common.v2_0.Document.DocumentType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>remove </xsl:element>
</xsl:if> <image alt="occurence:0..1, datatype:eanucc.common.v2_0.Document.VersionType" src="inform.gif"/>
</xsl:if>
<xsl:call-template name="eanucc_version">
<xsl:with-param name="parent" select="."/>
<xsl:with-param name="section" select="$section+1"/>
</xsl:call-template>
</td>
</tr>
</xsl:for-each>
</xsl:when>
<xsl:otherwise>
<xsl:if test="$editvalue='true'">
<tr>
<td>
<xsl:if test="1 &gt; count($parent/documentStructureVersion) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="insertPoint">
<xsl:value-of select="count(contentVersion)+count(documentStructureVersion)"/>
</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.common.v2_0.Document.DocumentType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>documentStructureVersion[1]/</xsl:text>
</xsl:attribute>add documentStructureVersion</xsl:element>
</xsl:if> <image alt="occurence:0..1, datatype:eanucc.common.v2_0.Document.VersionType" src="inform.gif"/>
</td>
</tr>
</xsl:if>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="extension">
<xsl:for-each select="extension">
<tr>
<td>
<xsl:call-template name="eanucc_extension">
<xsl:with-param name="parent" select="."/>
<xsl:with-param name="section" select="$section+1"/>
</xsl:call-template>
</td>
</tr>
</xsl:for-each>
</xsl:when>
<xsl:otherwise>
<xsl:if test="$editvalue='true'"/>
</xsl:otherwise>
</xsl:choose>
</table>
</td>
      </tr>			
    </xsl:element>
  </xsl:template>
</xsl:stylesheet>
